Index: general.ent
===================================================================
--- general.ent	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ general.ent	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 5th, &year;">
+<!ENTITY releasedate  "October 7th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -170,5 +170,5 @@
 <!ENTITY gnupg-version                "1.4.12">
 <!ENTITY gnupg2-version               "2.0.19">
-<!ENTITY gnutls-version               "3.0.22">
+<!ENTITY gnutls-version               "3.0.24">
 <!ENTITY gpgme-version                "1.3.2">
 <!ENTITY iptables-version             "1.4.15">
@@ -266,5 +266,5 @@
 <!ENTITY libksba-version              "1.2.0">
 <!ENTITY libsigc-version              "2.2.11">
-<!ENTITY libtasn1-version             "2.13">
+<!ENTITY libtasn1-version             "2.14">
 <!ENTITY libunique-version            "3.0.2">
 <!ENTITY libunistring-version         "0.9.3">
@@ -285,7 +285,7 @@
 <!ENTITY talloc-version               "2.0.7">
 <!ENTITY telepathy-farstream-version  "0.6.0">
-<!ENTITY telepathy-glib-version       "0.19.10">
+<!ENTITY telepathy-glib-version       "0.20.0">
 <!ENTITY telepathy-logger-version     "0.4.0">
-<!ENTITY telepathy-mission-control-version "5.13.2">
+<!ENTITY telepathy-mission-control-version "5.14.0">
 <!ENTITY wv-version                   "1.2.9">
 
@@ -373,5 +373,5 @@
 <!ENTITY udev-version                 "Installed LFS Version">
 <!ENTITY udisks-version               "1.0.4">
-<!ENTITY udisks2-version              "1.99.0">
+<!ENTITY udisks2-version              "2.0.0">
 <!ENTITY unrar-version                "4.2.4">
 <!ENTITY unzip-version                "6.0">
@@ -651,8 +651,8 @@
 <!ENTITY libwacom-version             "0.6">
 <!ENTITY gnome-online-accounts-version "3.6.0">
-<!ENTITY libgdata-version             "0.13.1">
+<!ENTITY libgdata-version             "0.13.2">
 <!ENTITY evolution-data-server-version "3.6.0">
 <!ENTITY libzeitgeist-version         "0.3.18">
-<!ENTITY folks-version                "0.7.4.1">
+<!ENTITY folks-version                "0.8.0">
 <!ENTITY gnome-js-common-version      "0.1.2">
 <!ENTITY gjs-version                  "1.34.0">
@@ -705,8 +705,8 @@
 <!ENTITY brasero-version              "3.6.0">
 <!ENTITY cheese-version               "3.6.0">
-<!ENTITY empathy-version              "3.6.0">
+<!ENTITY empathy-version              "3.6.0.1">
 <!ENTITY eog-version                  "3.6.0">
 <!ENTITY epiphany-version             "3.6.0">
-<!ENTITY epiphany-extensions-version  "3.4.0">
+<!ENTITY epiphany-extensions-version  "3.6.0">
 <!ENTITY evince-version               "3.6.0">
 <!ENTITY evolution-version            "3.6.0">
@@ -717,5 +717,5 @@
 <!ENTITY gnome-contacts-version       "3.6.0">
 <!ENTITY gnome-dictionary-version     "3.6.0">
-<!ENTITY gnome-disk-utility-version   "3.6.0">
+<!ENTITY gnome-disk-utility-version   "3.6.1">
 <!ENTITY gnome-games-version          "3.6.0.2">
 <!ENTITY gnome-nettool-version        "3.2.0">
@@ -724,5 +724,5 @@
 <!ENTITY gnome-system-log-version     "3.6.0">
 <!ENTITY gnome-system-monitor-version "3.6.0">
-<!ENTITY gnome-tweak-tool-version     "3.4.0">
+<!ENTITY gnome-tweak-tool-version     "3.6.0">
 <!ENTITY gucharmap-version            "3.5.99">
 <!ENTITY mousetweaks-version          "3.6.0">
Index: general/genlib/libtasn1.xml
===================================================================
--- general/genlib/libtasn1.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ general/genlib/libtasn1.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -7,8 +7,8 @@
   <!ENTITY libtasn1-download-http "http://ftp.gnu.org/gnu/libtasn1/libtasn1-&libtasn1-version;.tar.gz">
   <!ENTITY libtasn1-download-ftp  "ftp://ftp.gnu.org/gnu/libtasn1/libtasn1-&libtasn1-version;.tar.gz">
-  <!ENTITY libtasn1-md5sum        "df27eaddcc46172377e6b907e33ddc83">
+  <!ENTITY libtasn1-md5sum        "a08c5936f9672da9b05691785499bcc3">
   <!ENTITY libtasn1-size          "1.9 MB">
-  <!ENTITY libtasn1-buildsize     "13 MB">
-  <!ENTITY libtasn1-time          "0.2 SBU">
+  <!ENTITY libtasn1-buildsize     "11 MB">
+  <!ENTITY libtasn1-time          "0.1 SBU">
 ]>
 
@@ -30,6 +30,8 @@
     <title>Introduction to libtasn1</title>
 
-    <para><application>libtasn1</application> is a highly portable C library that
-     encodes and decodes DER/BER data following an ASN.1 schema.</para>
+    <para>
+      <application>libtasn1</application> is a highly portable C library
+      that encodes and decodes DER/BER data following an ASN.1 schema.
+    </para>
 
      &lfs72_checked;
@@ -38,20 +40,32 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&libtasn1-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&libtasn1-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &libtasn1-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &libtasn1-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &libtasn1-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &libtasn1-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&libtasn1-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libtasn1-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libtasn1-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libtasn1-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libtasn1-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libtasn1-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -60,10 +74,12 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="gtk-doc"/> and
-    <ulink url="http://valgrind.org/">Valgrind</ulink> (used during the test suite)</para>
+    <para role="optional">
+      <xref linkend="gtk-doc"/> and
+      <ulink url="http://valgrind.org/">Valgrind</ulink>
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/libtasn1"/></para>
-
+      <ulink url="&blfs-wiki;/libtasn1"/>
+    </para>
   </sect2>
 
@@ -71,24 +87,29 @@
     <title>Installation of libtasn1</title>
 
-    <para>Install <application>libtasn1</application> by running the
-    following commands:</para>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+    <para>
+      Install <application>libtasn1</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem>
-    user:</para>
-
-<screen role="root"><userinput>make install &amp;&amp;
-install -v -m755 -d /usr/share/doc/libtasn1-&libtasn1-version; &amp;&amp;
-install -v -m644    doc/libtasn1.{html,pdf,ps} \
-                    /usr/share/doc/libtasn1-&libtasn1-version;</userinput></screen>
-
-    <para>If you did not pass the <option>--enable-gtk-doc</option> parameter
-    to the <command>configure</command> script, install the API documentation
-    using the following command as the
-    <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem>
+      user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+    <para>
+      If you did not pass the <option>--enable-gtk-doc</option> parameter
+      to the <command>configure</command> script, install the API
+      documentation using the following command as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make -C doc/reference install-data-local</userinput></screen>
@@ -100,5 +121,8 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gtk-doc-rebuild.xml"/>
+      href="../../xincludes/static-libraries.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
 
   </sect2>
@@ -110,11 +134,16 @@
       <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
+      <segtitle>Installed Directory</segtitle>
 
       <seglistitem>
-        <seg>asn1Coding, asn1Decoding, and asn1Parser</seg>
-        <seg>libtasn1.{so,a}</seg>
-        <seg>/usr/share/doc/libtasn1-&libtasn1-version; and
-        /usr/share/gtk-doc/html/libtasn1</seg>
+        <seg>
+          asn1Coding, asn1Decoding and asn1Parser
+        </seg>
+        <seg>
+          libtasn1.so
+        </seg>
+        <seg>
+          /usr/share/gtk-doc/html/libtasn1
+        </seg>
       </seglistitem>
     </segmentedlist>
@@ -128,5 +157,7 @@
         <term><command>asn1Coding</command></term>
         <listitem>
-          <para>is an ASN.1 DER encoder.</para>
+          <para>
+            is an ASN.1 DER encoder.
+          </para>
           <indexterm zone="libtasn1 asn1Coding">
             <primary sortas="b-asn1Coding">asn1Coding</primary>
@@ -138,5 +169,7 @@
         <term><command>asn1Decoding</command></term>
         <listitem>
-          <para>is an ASN.1 DER decoder.</para>
+          <para>
+            is an ASN.1 DER decoder.
+          </para>
           <indexterm zone="libtasn1 asn1Decoding">
             <primary sortas="b-asn1Decoding">asn1Decoding</primary>
@@ -148,6 +181,8 @@
         <term><command>asn1Parser</command></term>
         <listitem>
-          <para>is an ASN.1 syntax tree generator for
-          <application>libtasn1</application>.</para>
+          <para>
+            is an ASN.1 syntax tree generator for
+            <application>libtasn1</application>.
+          </para>
           <indexterm zone="libtasn1 asn1Parser">
             <primary sortas="b-asn1Parser">asn1Parser</primary>
@@ -157,10 +192,12 @@
 
       <varlistentry id="libtasn1-lib">
-        <term><filename class='libraryfile'>libtasn1.{so,a}</filename></term>
-        <listitem>
-          <para>is a library for Abstract Syntax Notation One (ASN.1) and
-           Distinguish Encoding Rules (DER) manipulation.</para>
+        <term><filename class="libraryfile">libtasn1.so</filename></term>
+        <listitem>
+          <para>
+            is a library for Abstract Syntax Notation One (ASN.1) and
+            Distinguish Encoding Rules (DER) manipulation.
+          </para>
           <indexterm zone="libtasn1 libtasn1-lib">
-            <primary sortas="c-libtasn1">libtasn1.{so,a}</primary>
+            <primary sortas="c-libtasn1">libtasn1.so</primary>
           </indexterm>
         </listitem>
Index: general/genlib/telepathy-glib.xml
===================================================================
--- general/genlib/telepathy-glib.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ general/genlib/telepathy-glib.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -8,7 +8,7 @@
            "http://telepathy.freedesktop.org/releases/telepathy-glib/telepathy-glib-&telepathy-glib-version;.tar.gz">
   <!ENTITY telepathy-glib-download-ftp  " ">
-  <!ENTITY telepathy-glib-md5sum        "fbe730cc897c2d6cbf6a165d6cc63cdd">
+  <!ENTITY telepathy-glib-md5sum        "9d7b2bcc2d9f8e0352c8789952717d83">
   <!ENTITY telepathy-glib-size          "3.6 MB">
-  <!ENTITY telepathy-glib-buildsize     "185 MB">
+  <!ENTITY telepathy-glib-buildsize     "190 MB">
   <!ENTITY telepathy-glib-time          "1.2 SBU">
 ]>
Index: general/genlib/telepathy-mission-control.xml
===================================================================
--- general/genlib/telepathy-mission-control.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ general/genlib/telepathy-mission-control.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -8,8 +8,8 @@
            "http://telepathy.freedesktop.org/releases/telepathy-mission-control/telepathy-mission-control-&telepathy-mission-control-version;.tar.gz">
   <!ENTITY telepathy-mission-control-download-ftp  " ">
-  <!ENTITY telepathy-mission-control-md5sum        "3af60fa448b8fd56b65fac185a41f288">
+  <!ENTITY telepathy-mission-control-md5sum        "483fa8860891815a540ecf1bb9155122">
   <!ENTITY telepathy-mission-control-size          "1.0 MB">
   <!ENTITY telepathy-mission-control-buildsize     "23 MB">
-  <!ENTITY telepathy-mission-control-time          "0.3 SBU">
+  <!ENTITY telepathy-mission-control-time          "0.2 SBU">
 ]>
 
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ general/sysutils/udisks2.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -7,11 +7,11 @@
   <!ENTITY udisks2-download-http "http://udisks.freedesktop.org/releases/udisks-&udisks2-version;.tar.bz2">
   <!ENTITY udisks2-download-ftp  " ">
-  <!ENTITY udisks2-md5sum        "b42f1d36ad4606622a9989e166fbae20">
-  <!ENTITY udisks2-size          "761 KB">
-  <!ENTITY udisks2-buildsize     "32 MB">
-  <!ENTITY udisks2-time          "0.4 SBU">
+  <!ENTITY udisks2-md5sum        "79fb343fbec6ed6b9e76fbe828622d38">
+  <!ENTITY udisks2-size          "732 KB">
+  <!ENTITY udisks2-buildsize     "31 MB">
+  <!ENTITY udisks2-time          "0.2 SBU">
 ]>
 
-<sect1 id="udisks2" xreflabel="UDisks2-&udisks2-version;">
+<sect1 id="udisks2" xreflabel="UDisks-&udisks2-version;">
   <?dbhtml filename="udisks2.html"?>
 
@@ -21,15 +21,15 @@
   </sect1info>
 
-  <title>UDisks2-&udisks2-version;</title>
+  <title>UDisks-&udisks2-version;</title>
 
   <indexterm zone="udisks2">
-    <primary sortas="a-UDisks2">UDisks2</primary>
+    <primary sortas="a-UDisks">UDisks</primary>
   </indexterm>
 
   <sect2 role="package">
-    <title>Introduction to UDisks2</title>
-
-    <para>
-      The <application>UDisks2</application> package provides a daemon, 
+    <title>Introduction to UDisks</title>
+
+    <para>
+      The <application>UDisks</application> package provides a daemon, 
       tools and libraries to access and manipulate disks and storage 
       devices.
@@ -72,8 +72,9 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">UDisks2 Dependencies</bridgehead>
+    <bridgehead renderas="sect3">UDisks Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
+      <xref linkend="acl"/>,
       <xref linkend="libatasmart"/>,
       <xref linkend="libxslt"/>,
@@ -98,8 +99,8 @@
 
   <sect2 role="installation">
-    <title>Installation of UDisks2</title>
-
-    <para>
-      Install <application>UDisks2</application> by running the following
+    <title>Installation of UDisks</title>
+
+    <para>
+      Install <application>UDisks</application> by running the following
       commands:
     </para>
@@ -180,5 +181,5 @@
         <listitem>
           <para>
-            is the <application>UDisks2</application> daemon itself.
+            is the <application>UDisks</application> daemon itself.
           </para>
           <indexterm zone="udisks2 udisksd">
@@ -192,5 +193,5 @@
         <listitem>
           <para>
-            contains <application>UDisks2</application> API functions.
+            contains the <application>UDisks</application> API functions.
           </para>
           <indexterm zone="udisks2 libudisks2">
Index: gnome/applications/empathy.xml
===================================================================
--- gnome/applications/empathy.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ gnome/applications/empathy.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -9,5 +9,5 @@
   <!ENTITY empathy-download-ftp  
            "&gnome-download-ftp;/empathy/3.6/empathy-&empathy-version;.tar.xz">
-  <!ENTITY empathy-md5sum        "24329a9ee997e8b30cf89c4854f35188">
+  <!ENTITY empathy-md5sum        "2f3071116f273e30abaee837c29ecb17">
   <!ENTITY empathy-size          "3.3 MB">
   <!ENTITY empathy-buildsize     "105 MB">
Index: gnome/applications/epiphany-extensions.xml
===================================================================
--- gnome/applications/epiphany-extensions.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ gnome/applications/epiphany-extensions.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -6,11 +6,11 @@
 
   <!ENTITY epiphany-extensions-download-http 
-           "&gnome-download-http;/epiphany-extensions/3.4/epiphany-extensions-&epiphany-extensions-version;.tar.xz">
+           "&gnome-download-http;/epiphany-extensions/3.6/epiphany-extensions-&epiphany-extensions-version;.tar.xz">
   <!ENTITY epiphany-extensions-download-ftp  
-           "&gnome-download-ftp;/epiphany-extensions/3.4/epiphany-extensions-&epiphany-extensions-version;.tar.xz">
-  <!ENTITY epiphany-extensions-md5sum     "84eb15907ceb410030b00aacb6e5ff35">
+           "&gnome-download-ftp;/epiphany-extensions/3.6/epiphany-extensions-&epiphany-extensions-version;.tar.xz">
+  <!ENTITY epiphany-extensions-md5sum     "9bc0c6c65f03a52f681c22ec9ccc0571">
   <!ENTITY epiphany-extensions-size       "1.4 MB">
   <!ENTITY epiphany-extensions-buildsize  "21 MB">
-  <!ENTITY epiphany-extensions-time       "0.5 SBU">
+  <!ENTITY epiphany-extensions-time       "0.2 SBU">
 ]>
 
@@ -78,5 +78,6 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="epiphany"/>
+      <xref linkend="epiphany"/> and
+      <xref linkend="gnome-doc-utils"/>
     </para>
 
@@ -151,14 +152,16 @@
       <seglistitem>
         <seg>
-          libactionsextension.so, libadblockextension.so, 
-          libautoreloadextension.so, libextensionsmanagerrui.so, 
-          libgesturesextension.so, libgreasemonkeyextension.so, 
-          libhtml5tubeextension.so, libpushscrollerextension.so, 
-          librssextension.so, libsoupflyextension.so, 
+          libactionsextension.so, libadblockextension.so,
+          libautoreloadextension.so,
+          libextensionsmanageruiextension.so,
+          libgesturesextension.so, libgreasemonkeyextension.so,
+          libhtml5tubeextension.so, libpushscrollerextension.so,
+          librssextension.so, libsoupflyextension.so,
           libtabkeytabnavigateextension.so and
           libtabstatesextension.so
         </seg>
         <seg>
-          /usr/lib/epiphany/3.4/extensions,
+          /usr/lib/epiphany/3.6/extensions,
+          /usr/share/epiphany/icons/hicolor,
           /usr/share/epiphany-extensions,
           /usr/share/gnome/help/epiphany-extensions and 
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ gnome/applications/gnome-disk-utility.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-disk-utility-download-ftp  
            "&gnome-download-ftp;/gnome-disk-utility/3.6/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
-  <!ENTITY gnome-disk-utility-md5sum        "644323ef6e543220c6cee625e0a33929">
+  <!ENTITY gnome-disk-utility-md5sum        "ff6e0a50a3a6aa9a8d9aa8b19d304485">
   <!ENTITY gnome-disk-utility-size          "1.2 MB">
-  <!ENTITY gnome-disk-utility-buildsize     "31 MB">
+  <!ENTITY gnome-disk-utility-buildsize     "32 MB">
   <!ENTITY gnome-disk-utility-time          "0.1 SBU">
 ]>
Index: gnome/applications/gnome-tweak-tool.xml
===================================================================
--- gnome/applications/gnome-tweak-tool.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ gnome/applications/gnome-tweak-tool.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-tweak-tool-download-http
-           "&gnome-download-http;/gnome-tweak-tool/3.4/gnome-tweak-tool-&gnome-tweak-tool-version;.tar.xz">
+           "&gnome-download-http;/gnome-tweak-tool/3.6/gnome-tweak-tool-&gnome-tweak-tool-version;.tar.xz">
   <!ENTITY gnome-tweak-tool-download-ftp
-           "&gnome-download-ftp;/gnome-tweak-tool/3.4/gnome-tweak-tool-&gnome-tweak-tool-version;.tar.xz">
-  <!ENTITY gnome-tweak-tool-md5sum        "4f1faa830c41c1196760839a0b72c904">
-  <!ENTITY gnome-tweak-tool-size          "204 KB">
-  <!ENTITY gnome-tweak-tool-buildsize     "2.8 MB">
+           "&gnome-download-ftp;/gnome-tweak-tool/3.6/gnome-tweak-tool-&gnome-tweak-tool-version;.tar.xz">
+  <!ENTITY gnome-tweak-tool-md5sum        "d62297feae5079bd923af6797ed2f17e">
+  <!ENTITY gnome-tweak-tool-size          "220 KB">
+  <!ENTITY gnome-tweak-tool-buildsize     "3.2 MB">
   <!ENTITY gnome-tweak-tool-time          "less than 0.1 SBU">
 ]>
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/core/folks.xml
===================================================================
--- gnome/core/folks.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ gnome/core/folks.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -5,7 +5,7 @@
   %general-entities;
 
-  <!ENTITY folks-download-http "&gnome-download-http;/folks/0.7/folks-&folks-version;.tar.xz">
-  <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.7/folks-&folks-version;.tar.xz">
-  <!ENTITY folks-md5sum        "629d9495aba8f63386d5c24606c8839f">
+  <!ENTITY folks-download-http "&gnome-download-http;/folks/0.8/folks-&folks-version;.tar.xz">
+  <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.8/folks-&folks-version;.tar.xz">
+  <!ENTITY folks-md5sum        "5664f85c4acdda2934cbd08a9d3d78e3">
   <!ENTITY folks-size          "1.5 MB">
   <!ENTITY folks-buildsize     "70 MB">
@@ -24,5 +24,5 @@
 
   <indexterm zone="folks">
-    <primary sortas="a-folks">folks</primary>
+    <primary sortas="a-Folks">Folks</primary>
   </indexterm>
 
Index: gnome/core/libgdata.xml
===================================================================
--- gnome/core/libgdata.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ gnome/core/libgdata.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -7,8 +7,8 @@
   <!ENTITY libgdata-download-http "&gnome-download-http;/libgdata/0.13/libgdata-&libgdata-version;.tar.xz">
   <!ENTITY libgdata-download-ftp  "&gnome-download-ftp;/libgdata/0.13/libgdata-&libgdata-version;.tar.xz">
-  <!ENTITY libgdata-md5sum        "5c488944a4b3b379d1ca335c81fa35b4">
+  <!ENTITY libgdata-md5sum        "8790767a3700d146e859ce870229f8e7">
   <!ENTITY libgdata-size          "1.2 MB">
   <!ENTITY libgdata-buildsize     "45 MB">
-  <!ENTITY libgdata-time          "0.8 SBU">
+  <!ENTITY libgdata-time          "0.5 SBU">
 ]>
 
@@ -34,5 +34,5 @@
       library for accessing online service APIs using the GData protocol, most
       notably, Google's services. It provides APIs to access the common Google
-      services, and has full asynchronous support.
+      services and has full asynchronous support.
     </para>
 
@@ -110,7 +110,6 @@
 
     <para>
-      To test the results, issue: <command>make check</command> Note that
-      the tests need network access, will generate network traffic for uploading
-      and downloading, and seem to stall when testing Connection: Keep-Alive.
+      To test the results, issue: <command>make check</command>. Note that
+      the tests need network access.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ introduction/welcome/changelog.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -44,4 +44,43 @@
 
 -->
+    <listitem>
+      <para>October 7th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - Empathy 3.6.0.1.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Epiphany Extensions 3.6.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Folks 0.8.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - GNOME Disk Utility 3.6.1.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - GNOME Tweak Tool 3.6.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - GnuTLS 3.0.24.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - libgdata 0.13.2.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - libtasn1 2.14.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Telepathy GLib 0.20.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Telepathy Mission Control 5.14.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - UDisks 2.0.0.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>October 5th, 2012</para>
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision 8c853a1e2e52c3a52807f0949d50e8ddfbfd898a)
+++ postlfs/security/gnutls.xml	(revision 73d97caf72b52ce38bde5c7970c602f85049fa5f)
@@ -7,8 +7,8 @@
   <!ENTITY gnutls-download-http "http://ftp.gnu.org/gnu/gnutls/gnutls-&gnutls-version;.tar.xz">
   <!ENTITY gnutls-download-ftp  "ftp://ftp.gnu.org/gnu/gnutls/gnutls-&gnutls-version;.tar.xz">
-  <!ENTITY gnutls-md5sum        "7b3db90934c2d410c573e37efce3d579">
+  <!ENTITY gnutls-md5sum        "6c075012a57cb4a10285c1d7b166441b">
   <!ENTITY gnutls-size          "4.5 MB">
-  <!ENTITY gnutls-buildsize     "95 MB">
-  <!ENTITY gnutls-time          "1.2 SBU (additional 2.5 SBU if running the testsuite)">
+  <!ENTITY gnutls-buildsize     "105 MB">
+  <!ENTITY gnutls-time          "0.8 SBU (additional 2.5 SBU if running the testsuite)">
 ]>
 
@@ -142,15 +142,10 @@
     </para>
 
-<screen role="root"><userinput>make install &amp;&amp;
-install -v -m755 -d /usr/share/doc/gnutls-&gnutls-version; &amp;&amp;
-install -v -m644    doc/*.{html,png,eps,pdf} doc/cyclo/*.html \
-                    /usr/share/doc/gnutls-&gnutls-version; &amp;&amp;
-cp -v -R            doc/credentials \
-                    /usr/share/doc/gnutls-&gnutls-version;</userinput></screen>
+<screen role="root"><userinput>make install</userinput></screen>
 
     <para>
       If you did not pass the <option>--enable-gtk-doc</option> parameter
       to the <command>configure</command> script, install the API documentation
-      to the <filename class='directory'>/usr/share/gtk-doc/html/gnutls</filename> 
+      to the <filename class="directory">/usr/share/gtk-doc/html/gnutls</filename> 
       directory using the following command as the 
       <systemitem class="username">root</systemitem> user:
@@ -189,6 +184,5 @@
         </seg>
         <seg>
-          /usr/include/gnutls,
-          /usr/share/doc/gnutls-&gnutls-version; and
+          /usr/include/gnutls and
           /usr/share/gtk-doc/html/gnutls
         </seg>
@@ -318,5 +312,5 @@
 
       <varlistentry id="libgnutls">
-        <term><filename class='libraryfile'>libgnutls.so</filename></term>
+        <term><filename class="libraryfile">libgnutls.so</filename></term>
         <listitem>
           <para>