Index: general/prog/j2sdk.xml
===================================================================
--- general/prog/j2sdk.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/j2sdk.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,16 @@
+<sect1 id="j2sdk" xreflabel="j2sdk-&j2sdk-version;">
+<?dbhtml filename="j2sdk.html" dir="general"?>
+<title>j2sdk-&j2sdk-version;</title>
+
+&j2sdk-intro;
+&j2sdk-inst;
+&j2sdk-exp;
+&j2sdk-config;
+&cj2sdk-intro;
+&cj2sdk-inst;
+&cj2sdk-exp;
+&cj2sdk-config;
+&j2sdk-desc;
+
+</sect1>
+
Index: general/prog/jdk.xml
===================================================================
--- general/prog/jdk.xml	(revision a1f7daa41a9bde4c8c42ea17be88652004d19ce1)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<sect1 id="jdk" xreflabel="jdk">
-<?dbhtml filename="jdk.html" dir="general"?>
-<title>jdk</title>
-
-<para>TO BE DONE</para>
-
-</sect1>
Index: general/prog/jdk/compiled-j2sdk-config.xml
===================================================================
--- general/prog/jdk/compiled-j2sdk-config.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/compiled-j2sdk-config.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,20 @@
+<sect2>
+<title>Configuring j2sdk</title>
+
+<sect3><title>Config files</title>
+<para><userinput>/etc/profile, ~/.bash_profile, ~/.profile, ~/.bashrc</userinput></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>Add the following lines to the appropriate file listed
+above.</para>
+
+<para><screen><userinput>export JAVA_HOME=/opt/java/j2sdk
+export PATH=$PATH:$JAVA_HOME/bin</userinput></screen></para>
+
+</sect3>
+
+
+</sect2>
+
Index: general/prog/jdk/compiled-j2sdk-exp.xml
===================================================================
--- general/prog/jdk/compiled-j2sdk-exp.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/compiled-j2sdk-exp.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,56 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>export JAVA_HOME=$PWD/j2sdk&j2sdk-version; :</userinput>
+This command sets the location of the working java.</para>
+
+<para><userinput>export ALT_BOOTDIR="$JAVA_HOME" :</userinput> This
+command set the compiler variable that will execute the java compiler
+when needed during make.</para>
+
+<para><userinput>export ALT_MOTIF_DIR=$SRC :</userinput> This sets the
+variable that points to where you unzipped the motif headers.</para>
+
+<para><userinput>export ALT_MOZILLA_PATH=$SRC :</userinput> This sets the
+variable that points to where you unzipped the mozilla headers.</para>
+
+<para><userinput>export ALT_DEVTOOLS_PATH="/usr/bin" :</userinput> This
+changes the default to the correct value.</para>
+
+<para><userinput>export ALT_MILESTONE="blfscompiled" :</userinput> This
+will help you identify this compiled version of java by appending this
+to the version in the output to "java -version".</para>
+
+<para><userinput>export BUILD_NUMBER='date +%s' :</userinput> This will
+help you identify this compiled version of the runtime environment and
+virtual machine by appending this information to the version in the
+output to "java -version"."</para>
+
+<para><userinput>export DEV_ONLY=true :</userinput> This command
+eliminates compiling the documentation and eliminates a dependency for
+rpm. </para>
+
+<para><userinput>export OTHER_LDFLAGS="-lpthread" :</userinput> This
+command corrects compiling errors related to the pthread variables. </para>
+
+<para><userinput>unset JAVA_HOME :</userinput> This clears the JAVA_HOME
+variable and prevents misdirection during compile.</para>
+
+<para><userinput>unset CLASSPATH :</userinput> This clears the CLASSPATH
+variable and prevents misdirection during compile.</para>
+
+<para><userinput>export OTHER_CFLAGS=${CFLAGS} :</userinput> This makes
+j2sdk compile using our CFLAGS for optimizations.</para>
+
+<para><userinput>export OTHER_CXXFLAGS=${CXXFLAGS} :</userinput> This
+makes j2sdk compile using our CXXFLAGS for optimizations.</para>
+
+<para><userinput>unset CFLAGS :</userinput> Now that the optimizations
+are loaded, this clears the variable.</para>
+
+<para><userinput>unset CXXFLAGS :</userinput> Now that the optimizations
+are loaded, this clears the variable.</para>
+
+
+</sect2>
+
Index: general/prog/jdk/compiled-j2sdk-inst.xml
===================================================================
--- general/prog/jdk/compiled-j2sdk-inst.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/compiled-j2sdk-inst.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,59 @@
+<sect2>
+<title>Installation of j2sdk</title>
+
+<para>To install j2sdk, you need to download the following files into
+your source directory:</para>
+<screen>From the download location (registration required)
+j2sdk-&cj2sdk-version;-src-scsl.zip
+j2sdk-&cj2sdk-version;-motif-linux-i386.zip
+j2sdk-&cj2sdk-version;-mozilla_headers-unix.zip
+From <ulink url="ftp://ftp.linuxfromscratch.org/blfs-patch"/>
+j2sdk-gcc31.patch</screen>
+
+<para>You should be in the java directory under your source
+directory.  Verifiy that environment is set as described in the
+configuration section of the binary installation.  If not:</para>
+
+<screen><userinput>export JAVA_HOME=$PWD/j2sdk&j2sdk-version;
+export PATH=$PATH:$JAVA_HOME/bin</userinput></screen>
+
+<para>Unzip and set the install of j2sdk by running the following commands:</para>
+
+<para><screen><userinput>for i in ../j2sdk-1_4_0-*.zip; do unzip $i; done &amp;&amp;
+patch -Np1 -i ../j2sdk-gcc31.patch &amp;&amp;
+export SRC=$PWD &amp;&amp;
+export ALT_BOOTDIR="$JAVA_HOME" &amp;&amp;
+export ALT_MOTIF_DIR=$SRC &amp;&amp;
+export ALT_MOZILLA_PATH=$SRC &amp;&amp;
+export ALT_DEVTOOLS_PATH="/usr/bin" &amp;&amp;
+export MILESTONE="blfscompiled" &amp;&amp;
+export BUILD_NUMBER=`date +%s` &amp;&amp;
+export DEV_ONLY=true &amp;&amp;
+export OTHER_LDFLAGS="-lpthread" &amp;&amp;
+unset JAVA_HOME &amp;&amp;
+unset CLASSPATH &amp;&amp;
+export OTHER_CFLAGS=${CFLAGS} &amp;&amp;
+export OTHER_CXXFLAGS=${CXXFLAGS} &amp;&amp;
+unset CFLAGS &amp;&amp;
+unset CXXFLAGS</userinput></screen></para>
+
+<para> Make and Install j2sdk with the following commands:</para>
+
+<para><screen><userinput>cd $SRC/control/make &amp;&amp;
+make &amp;&amp;
+cd $SRC/control/build/linux-i386 &amp;&amp;
+mkdir -p /opt/java &amp;&amp;
+cp -a j2sdk-image /opt/java/j2sdk-&cj2sdk-version; &amp;&amp;
+cd /opt/java &amp;&amp;
+ln -s j2sdk-&cj2sdk-version; j2sdk</userinput></screen></para>
+
+<para>Test the installation with the following commands:</para>
+
+<para><screen><userinput>export JAVA_HOME=/opt/java/j2sdk  &amp;&amp;
+$JAVA_HOME/jre/bin/java -version</userinput></screen></para>
+
+<para>If you get a version line, a description of the runtime
+environment and a desrciption of the client VM (virtual machine), you are ready
+to go.</para>
+</sect2>
+
Index: general/prog/jdk/compiled-j2sdk-intro.xml
===================================================================
--- general/prog/jdk/compiled-j2sdk-intro.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/compiled-j2sdk-intro.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Introduction to j2sdk</title>
+
+<screen>Download location (HTTP):       <ulink url="&cj2sdk-download-http;"/>
+Download location (FTP):        <ulink url="&cj2sdk-download-ftp;"/>
+Version used:                   &cj2sdk-version;
+Package size:                   &cj2sdk-size;
+Estimated Disk space required:  &cj2sdk-buildsize;</screen>
+
+<para>The j2sdk package contains Sun's java development environment.
+This is useful for developing java programs and provides the runtime
+environment necessary to run java programs.  It also includes a plug-in
+for browsers so that they can be java aware.</para>
+
+<screen>j2sdk depends on:
+<xref linkend="xfree86"/>, <xref linkend="zip"/>, <xref linkend="unzip"/>, cpio, <xref linkend="tcsh"/> and <xref linkend="j2sdk"/></screen>
+
+</sect2>
Index: general/prog/jdk/j2sdk-config.xml
===================================================================
--- general/prog/jdk/j2sdk-config.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/j2sdk-config.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,29 @@
+<sect2>
+<title>Configuring j2sdk</title>
+
+<sect3><title>Config files</title>
+<para><userinput>/etc/profile, ~/.bash_profile, ~/.profile, ~/.bashrc</userinput></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>Add the following lines to the appropriate file listed
+above.</para>
+
+<para><screen><userinput>export JAVA_HOME=&lt;path to&gt;/j2sdk&j2sdk-version;
+export PATH=$PATH:$JAVA_HOME/bin</userinput></screen></para>
+
+<para>You now have a java development environment installed on your
+machine, however it is compiled with a different library than the other
+programs which creates incompatabilities.  Specifically, the plug-in
+will not work with browsers compiled on your machine.</para>
+
+<para>There is a solution if you are willing to accept the SUN COMMUNITY
+SOURCE LICENSE for the Java 2 Platform Standard Edition.  Note that you
+are not allowed to distribute the resulting JDK/JRE and you also cannot
+use the resulting JDK to compile programs for distribution unless they
+pass Sun's compatiblity tests. In short don't use the resulting JDK
+except for your personal use.</para>
+</sect3>
+</sect2>
+
Index: general/prog/jdk/j2sdk-desc.xml
===================================================================
--- general/prog/jdk/j2sdk-desc.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/j2sdk-desc.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,102 @@
+<sect2>
+<title>Contents</title>
+
+<para>The j2sdk package contains <userinput>appletviewer</userinput>,
+<userinput>extcheck</userinput>, <userinput>idlj</userinput>,
+<userinput>jar</userinput>, <userinput>jarsigner</userinput>,
+<userinput>java</userinput>, <userinput>javac</userinput>,
+<userinput>javadoc</userinput>, <userinput>javah</userinput>,
+<userinput>javap</userinput>, <userinput>jdb</userinput>,
+<userinput>keytool</userinput>, <userinput>native2ascii</userinput>,
+<userinput>orbd</userinput>, <userinput>policytool</userinput>,
+<userinput>rmic</userinput>, <userinput>rmid</userinput>,
+<userinput>rmiregistry</userinput>, <userinput>rmiregistry</userinput>,
+<userinput>serialver</userinput>, <userinput>servertool</userinput> and
+<userinput>tnameserv</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>appletviewer</title> 
+<para>appletviewer runs Java applets outside of the context of a
+browser.</para></sect3>
+
+<sect3><title>extcheck</title>
+<para>extcheck checks a specified jar file for title and version
+conflicts with any extensions installed in the JDK software.</para></sect3>
+
+<sect3><title>idlj</title>
+<para>idlj generates Java bindings from a given IDL file.</para></sect3>
+
+<sect3><title>jar</title>
+<para>jar combines multiple files into a single JAR archive file.</para></sect3>
+
+<sect3><title>jarsigner</title>
+<para>jarsigner signs JAR (Java ARchive) files and verifys the
+signatures and integrity of a signed JAR.</para></sect3>
+
+<sect3><title>java</title>
+<para>java launches a Java application by starting a Java runtime
+environment, loading a specified class and invoking that class's main
+method.</para></sect3>
+
+<sect3><title>javac</title>
+<para>javac reads class and interface definitions, written in the Java
+programming language, and compiles them into bytecode class files.</para></sect3>
+
+<sect3><title>javadoc</title>
+<para>javadoc parses the declarations anddocumentation comments in a set
+of Java source files and produces a corresponding set of HTML pages
+describing the classes, interfaces, constructors, methods, and fields.</para></sect3>
+
+<sect3><title>javah</title>
+<para>javah generates C header and source files that are needed to
+implement native methods.</para></sect3>
+
+<sect3><title>javap</title>
+<para>javap disassembles a Java class file.</para></sect3>
+
+<sect3><title>jdb</title>
+<para>jdb is a simple command-line debugger for Java classes.</para></sect3>
+
+<sect3><title>keytool</title>
+<para>keytool is a key and certificate management utility.</para></sect3>
+
+<sect3><title>native2ascii</title>
+<para>native2ascii converts files that contain non-supported character encoding
+into files containing Latin-1 or Unicode-encoded charaters.</para></sect3>
+
+<sect3><title>orbd</title>
+<para>orbd is used to enable clients to transparently locate and invoke
+persistent objects on servers in the CORBA environment.</para></sect3>
+
+<sect3><title>policytool</title>
+<para>policytool creates and manages a policy file graphically.</para></sect3>
+
+<sect3><title>rmic</title>
+<para>rmic generates stub and skeleton class files for remote objects
+from the names of compiled Java classes that contain remote object
+implementations.</para></sect3>
+
+<sect3><title>rmid</title>
+<para>rmid starts the activation system daemon.</para></sect3>
+
+<sect3><title>rmiregistry</title>
+<para>rmiregistry creates and starts a remote object registry on the
+specified port on the current host.</para></sect3>
+
+<sect3><title>serialver</title>
+<para>serialver returns the serialVersionUID for one or more classes in
+a form suitable for copying into an evolving class.</para></sect3>
+
+<sect3><title>servertool</title>
+<para>servertool provides an ease-of-use interface for application
+programmers to register, unregister, startup and shutdown a server.</para></sect3>
+
+<sect3><title>tnameserv</title>
+<para>tnameserv starts the Java IDL name server.</para></sect3>
+
+
+</sect2>
+
Index: general/prog/jdk/j2sdk-exp.xml
===================================================================
--- general/prog/jdk/j2sdk-exp.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/j2sdk-exp.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,9 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>chmod 711 j2sdk*.bin :</userinput> Makes the downloaded bin file executible.</para>
+
+<para><userinput>cp ../libstdc++-libc6.1-1.so.2 j2sdk&j2sdk-version;/jre/lib/i386 :</userinput> Puts the linked gcc2 library where java can find it.</para> 
+
+</sect2>
+
Index: general/prog/jdk/j2sdk-inst.xml
===================================================================
--- general/prog/jdk/j2sdk-inst.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/j2sdk-inst.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,33 @@
+<sect2>
+<title>Installation of j2sdk</title>
+
+<para>Before installing j2sdk, you need to download
+<filename>libstdc++-libc6.1-1.so.2.bz2</filename> from <ulink
+url="ftp://ftp.linuxfromscratch.org/blfs-patches"/>, and decompress it
+to your source directory.</para>
+
+<para>Install j2sdk by running the following commands:</para>
+
+<para><screen><userinput>mkdir java &amp;&amp;
+mv j2sdk*.bin java &amp;&amp;
+cd java &amp;&amp;
+chmod 711 j2sdk*.bin &amp;&amp;
+./j2sdk*.bin &amp;&amp;
+mv j2sdk*.bin .. &amp;&amp;
+cp ../libstdc++-libc6.1-1.so.2 j2sdk&j2sdk-version;/jre/lib/i386</userinput></screen></para>
+
+<para>Test the installation with the following commands:</para>
+
+<para><screen><userinput>export JAVA_HOME=$PWD/j2sdk&j2sdk-version; &amp;&amp;
+j2sdk&j2sdk-version;/jre/bin/java -version</userinput></screen></para>
+
+<para>If you get a version line, a description of the runtime
+environment and a desrciption of the client VM (virtual machine), you are ready
+to go.</para>
+
+<para>If you are not going to compile java from scratch, move the java
+tree to <filename>/opt</filename>:</para>
+
+<para><screen><userinput>mv j2sdk&j2sdk-version; /opt/java</userinput></screen></para>
+</sect2>
+
Index: general/prog/jdk/j2sdk-intro.xml
===================================================================
--- general/prog/jdk/j2sdk-intro.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/j2sdk-intro.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Introduction to j2sdk (binary version)</title>
+
+<screen>Download location (HTTP):       <ulink url="&j2sdk-download-http;"/>
+Download location (FTP):        <ulink url="&j2sdk-download-ftp;"/>
+Version used:                   &j2sdk-version;
+Package size:                   &j2sdk-size;
+Estimated Disk space required:  &j2sdk-buildsize;</screen>
+
+<para>The j2sdk package contains Sun's java development environment -
+precompiled. This is needed to fulfull the circular dependancy when we
+compile java.</para>
+
+
+</sect2>
Index: general/prog/jdk/j2sdk.ent
===================================================================
--- general/prog/jdk/j2sdk.ent	(revision 74c110081c64bb5168da807dd7b0edace564a470)
+++ general/prog/jdk/j2sdk.ent	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -0,0 +1,22 @@
+<!ENTITY j2sdk SYSTEM "../j2sdk.xml">
+<!ENTITY j2sdk-intro SYSTEM "j2sdk-intro.xml">
+<!ENTITY j2sdk-inst SYSTEM "j2sdk-inst.xml">
+<!ENTITY j2sdk-exp SYSTEM "j2sdk-exp.xml">
+<!ENTITY j2sdk-desc SYSTEM "j2sdk-desc.xml">
+<!ENTITY j2sdk-config SYSTEM "j2sdk-config.xml">
+<!ENTITY j2sdk-buildsize "82 MB">
+<!ENTITY j2sdk-version "1.4.0_01">
+<!ENTITY j2sdk-download-http "http://freshmeat.net/projects/sunjdk">
+<!ENTITY j2sdk-download-ftp "">
+<!ENTITY j2sdk-size "39.8 MB">
+<!ENTITY cj2sdk-intro SYSTEM "compiled-j2sdk-intro.xml">
+<!ENTITY cj2sdk-inst SYSTEM "compiled-j2sdk-inst.xml">
+<!ENTITY cj2sdk-exp SYSTEM "compiled-j2sdk-exp.xml">
+<!ENTITY cj2sdk-config SYSTEM "compiled-j2sdk-config.xml">
+<!ENTITY cj2sdk-buildsize " MB">
+<!ENTITY cj2sdk-version "1.4.0">
+<!ENTITY cj2sdk-download-http "http://wwws.sun.com/software/java2/download.html">
+<!ENTITY cj2sdk-download-ftp "">
+<!ENTITY cj2sdk-size "52.2 MB">
+
+
Index: general/prog/jdk/jdk.ent
===================================================================
--- general/prog/jdk/jdk.ent	(revision a1f7daa41a9bde4c8c42ea17be88652004d19ce1)
+++ 	(revision )
@@ -1,1 +1,0 @@
-<!ENTITY jdk SYSTEM "../jdk.xml">
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision a1f7daa41a9bde4c8c42ea17be88652004d19ce1)
+++ general/prog/prog.xml	(revision 74c110081c64bb5168da807dd7b0edace564a470)
@@ -4,5 +4,5 @@
 
 &Python;
-&jdk;
+&j2sdk;
 &ruby;
 