Index: gnome/lib/gnome-icon-themes.xml
===================================================================
--- gnome/lib/gnome-icon-themes.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnome-icon-themes.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,5 +1,5 @@
-<sect1 id="gnome-icon-themes" xreflabel="gnome-icon-themes-&gnome-icon-themes-version;">
+<sect1 id="gnome-icon-themes" xreflabel="gnome-icon-theme-&gnome-icon-themes-version;">
 <?dbhtml filename="gnome-icon-themes.html" dir="gnome"?>
-<title>gnome-icon-themes-&gnome-icon-themes-version;</title>
+<title>gnome-icon-theme-&gnome-icon-themes-version;</title>
 
 &gnome-icon-themes-intro;
Index: gnome/lib/gnomelib/libbonoboui-config.xml
===================================================================
--- gnome/lib/gnomelib/libbonoboui-config.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libbonoboui-config.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring libbonoboui</title>
+<title>Configuring <application>libbonoboui</application></title>
 
 
Index: gnome/lib/gnomelib/libbonoboui-desc.xml
===================================================================
--- gnome/lib/gnomelib/libbonoboui-desc.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libbonoboui-desc.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libbonoboui package contains <filename>libbonoboui</filename> libraries.</para>
+<para>The <application>libbonoboui</application> package contains <filename>libbonoboui</filename> libraries.</para>
 
 </sect2>
@@ -9,5 +9,6 @@
 
 <sect3><title>libbonoboui libraries</title>
-<para>libbonoboui libraries are the GUI portion of the bonobo libraries.</para></sect3>
+<para><filename>libbonoboui</filename> libraries are the
+<acronym>GUI</acronym> portion of the bonobo libraries.</para></sect3>
 
 
Index: gnome/lib/gnomelib/libbonoboui-inst.xml
===================================================================
--- gnome/lib/gnomelib/libbonoboui-inst.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libbonoboui-inst.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,10 +1,10 @@
 <sect2>
-<title>Installation of libbonoboui</title>
+<title>Installation of <application>libbonoboui</application></title>
 
-<para>Install libbonoboui by running the following commands:</para>
+<para>Install <application>libbonoboui</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --disable-gtk-doc &amp;&amp;
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: gnome/lib/gnomelib/libbonoboui-intro.xml
===================================================================
--- gnome/lib/gnomelib/libbonoboui-intro.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libbonoboui-intro.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,16 +1,27 @@
 <sect2>
-<title>Introduction to libbonoboui</title>
+<title>Introduction to <application>libbonoboui</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&libbonoboui-download-http;"/>
-Download location (FTP):        <ulink url="&libbonoboui-download-ftp;"/>
-Version used:                   &libbonoboui-version;
-Package size:                   &libbonoboui-size;
-Estimated Disk space required:  &libbonoboui-buildsize;
-Estimated build time:           &libbonoboui-time;</screen>
+<para>The <application>libbonoboui</application> package contains libbonoboui libraries.</para>
 
-<para>The libbonoboui package contains libbonoboui libraries.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&libbonoboui-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&libbonoboui-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &libbonoboui-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&libbonoboui-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&libbonoboui-time;</para></listitem></itemizedlist>
+</sect3>
 
-<screen>libbonoboui depends on:
-<xref linkend="libgnome"/>, <xref linkend="libbonobo"/> and <xref linkend="libgnomecanvas"/></screen>
+<sect3><title><application>libbonoboui</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnome"/>, <xref linkend="libbonobo"/> and <xref
+linkend="libgnomecanvas"/></para></sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="gtk-doc"/> and <xref linkend="DocBook"/></para></sect4>
+</sect3>
 
 </sect2>
Index: gnome/lib/gnomelib/libbonoboui.ent
===================================================================
--- gnome/lib/gnomelib/libbonoboui.ent	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libbonoboui.ent	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -5,8 +5,8 @@
 <!ENTITY libbonoboui-desc SYSTEM "libbonoboui-desc.xml">
 <!ENTITY libbonoboui-config SYSTEM "libbonoboui-config.xml">
-<!ENTITY libbonoboui-buildsize "9.6 MB">
-<!ENTITY libbonoboui-version "2.2.0.1">
-<!ENTITY libbonoboui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.2/libbonoboui-2.2.0.1.tar.bz2">
-<!ENTITY libbonoboui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.2/libbonoboui-2.2.0.1.tar.bz2">
-<!ENTITY libbonoboui-size "557 KB">
-<!ENTITY libbonoboui-time "3.85 SBU">
+<!ENTITY libbonoboui-buildsize "65.5 MB">
+<!ENTITY libbonoboui-version "2.2.2">
+<!ENTITY libbonoboui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.2/libbonoboui-2.2.2.tar.bz2">
+<!ENTITY libbonoboui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonoboui/2.2/libbonoboui-2.2.2.tar.bz2">
+<!ENTITY libbonoboui-size "740 KB">
+<!ENTITY libbonoboui-time "1.71 SBU">
Index: gnome/lib/gnomelib/libgnomeui-config.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-config.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libgnomeui-config.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring libgnomeui</title>
+<title>Configuring <application>libgnomeui</application></title>
 
 
Index: gnome/lib/gnomelib/libgnomeui-desc.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-desc.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libgnomeui-desc.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libgnomeui package contains <filename>libgnomeui</filename> libraries.</para>
+<para>The <application>libgnomeui</application> package contains <filename>libgnomeui</filename> libraries.</para>
 
 </sect2>
@@ -9,5 +9,6 @@
 
 <sect3><title>libgnomeui libraries</title>
-<para>libgnomeui libraries is the GUI portion of the GNOME libraries.</para></sect3>
+<para><filename>libgnomeui</filename> libraries is the
+<acronym>GUI</acronym> portion of the GNOME libraries.</para></sect3>
 
 
Index: gnome/lib/gnomelib/libgnomeui-exp.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-exp.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libgnomeui-exp.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -2,9 +2,9 @@
 <title>Command explanations</title>
 
-<para><userinput>--libexecdir=$GNOME_PREFIX/sbin</userinput> : This switch puts
+<para><command>--libexecdir=$GNOME_PREFIX/sbin</command> : This switch puts
 libexec files in <filename>$GNOME_PREFIX/sbin</filename> instead of
 <filename>$GNOME_PREFIX/libexec</filename>.</para>
 
-<para><userinput>--disable-gtk-doc</userinput> : This switch prevents
+<para><command>--disable-gtk-doc</command> : This switch prevents
 rebuilding the documentation during the make command.</para>
 
Index: gnome/lib/gnomelib/libgnomeui-inst.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-inst.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libgnomeui-inst.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of libgnomeui</title>
+<title>Installation of <application>libgnomeui</application></title>
 
-<para>Install libgnomeui by running the following commands:</para>
+<para>Install <application>libgnomeui</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
 --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: gnome/lib/gnomelib/libgnomeui-intro.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-intro.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libgnomeui-intro.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,20 +1,28 @@
 <sect2>
-<title>Introduction to libgnomeui</title>
+<title>Introduction to <application>libgnomeui</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&libgnomeui-download-http;"/>
-Download location (FTP):        <ulink url="&libgnomeui-download-ftp;"/>
-Version used:                   &libgnomeui-version;
-Package size:                   &libgnomeui-size;
-Estimated Disk space required:  &libgnomeui-buildsize;
-Estimated build time:           &libgnomeui-time;</screen>
+<para>The <application>libgnomeui</application> package contains libgnomeui libraries.</para>
 
-<para>The libgnomeui package contains libgnomeui libraries.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&libgnomeui-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&libgnomeui-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &libgnomeui-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&libgnomeui-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&libgnomeui-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>libgnomeui</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnome"/>, <xref linkend="libgnomecanvas"/>,
+<xref linkend="libbonoboui"/></para></sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/></para></sect4>
+</sect3>
 
 
-<screen>libgnomeui depends on:
-<xref linkend="libgnome"/>, <xref linkend="libgnomecanvas"/>, <xref
-linkend="libbonoboui"/>
-libgnomeui will utilize:
-<xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/></screen>
-
 </sect2>
Index: gnome/lib/gnomelib/libgnomeui.ent
===================================================================
--- gnome/lib/gnomelib/libgnomeui.ent	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/gnomelib/libgnomeui.ent	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -5,8 +5,8 @@
 <!ENTITY libgnomeui-desc SYSTEM "libgnomeui-desc.xml">
 <!ENTITY libgnomeui-config SYSTEM "libgnomeui-config.xml">
-<!ENTITY libgnomeui-buildsize "14.2 MB">
-<!ENTITY libgnomeui-version "2.2.0.1">
-<!ENTITY libgnomeui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.2/libgnomeui-2.2.0.1.tar.bz2">
-<!ENTITY libgnomeui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.2/libgnomeui-2.2.0.1.tar.bz2">
-<!ENTITY libgnomeui-size "1.1 MB">
-<!ENTITY libgnomeui-time "2.48 SBU">
+<!ENTITY libgnomeui-buildsize "54.7 MB">
+<!ENTITY libgnomeui-version "2.2.2">
+<!ENTITY libgnomeui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.2/libgnomeui-2.2.2.tar.bz2">
+<!ENTITY libgnomeui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeui/2.2/libgnomeui-2.2.2.tar.bz2">
+<!ENTITY libgnomeui-size "1.2 MB">
+<!ENTITY libgnomeui-time "1.10 SBU">
Index: gnome/lib/themes/gnome-icon-themes-config.xml
===================================================================
--- gnome/lib/themes/gnome-icon-themes-config.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/themes/gnome-icon-themes-config.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring gnome-icon-themes</title>
+<title>Configuring <application>gnome-icon-theme</application></title>
 
 <sect3><title>Config files</title>
Index: gnome/lib/themes/gnome-icon-themes-desc.xml
===================================================================
--- gnome/lib/themes/gnome-icon-themes-desc.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/themes/gnome-icon-themes-desc.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gnome-icon-themes package contains icons.</para>
+<para>The <application>gnome-icon-theme</application> package contains icons.</para>
 
 </sect2>
Index: gnome/lib/themes/gnome-icon-themes-exp.xml
===================================================================
--- gnome/lib/themes/gnome-icon-themes-exp.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/themes/gnome-icon-themes-exp.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><userinput>COMMAND:</userinput> This command does something.</para>
+<para><command>COMMAND</command> :This command does something.</para>
 
 </sect2>
Index: gnome/lib/themes/gnome-icon-themes-inst.xml
===================================================================
--- gnome/lib/themes/gnome-icon-themes-inst.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/themes/gnome-icon-themes-inst.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,10 +1,10 @@
 <sect2>
-<title>Installation of gnome-icon-themes</title>
+<title>Installation of <application>gnome-icon-theme</application></title>
 
-<para>Install gnome-icon-themes by running the following commands:</para>
+<para>Install <application>gnome-icon-theme</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: gnome/lib/themes/gnome-icon-themes-intro.xml
===================================================================
--- gnome/lib/themes/gnome-icon-themes-intro.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/themes/gnome-icon-themes-intro.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -1,14 +1,20 @@
 <sect2>
-<title>Introduction to gnome-icon-themes</title>
+<title>Introduction to <application>gnome-icon-theme</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&gnome-icon-themes-download-http;"/>
-Download location (FTP):        <ulink url="&gnome-icon-themes-download-ftp;"/>
-Version used:                   &gnome-icon-themes-version;
-Package size:                   &gnome-icon-themes-size;
-Estimated Disk space required:  &gnome-icon-themes-buildsize;
-Estimated build time:           &gnome-icon-themes-time;</screen>
+<para>The <application>gnome-icon-theme</application> package contains an assortment of scalable
+and non-scalable icons of different sizes and themes.</para>
 
-<para>The gnome-icon-themes package contains an assortment of scalable
-and non-scalable icons of different sizes and themes.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnome-icon-themes-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnome-icon-themes-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnome-icon-themes-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnome-icon-themes-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnome-icon-themes-time;</para></listitem></itemizedlist>
+</sect3>
 
 
Index: gnome/lib/themes/gnome-icon-themes.ent
===================================================================
--- gnome/lib/themes/gnome-icon-themes.ent	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ gnome/lib/themes/gnome-icon-themes.ent	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -5,8 +5,8 @@
 <!ENTITY gnome-icon-themes-desc SYSTEM "gnome-icon-themes-desc.xml">
 <!ENTITY gnome-icon-themes-config SYSTEM "gnome-icon-themes-config.xml">
-<!ENTITY gnome-icon-themes-buildsize "3.5 MB">
-<!ENTITY gnome-icon-themes-version "1.0.1">
-<!ENTITY gnome-icon-themes-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/1.0/gnome-icon-theme-1.0.1.tar.bz2">
-<!ENTITY gnome-icon-themes-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/1.0/gnome-icon-theme-1.0.1.tar.bz2">
-<!ENTITY gnome-icon-themes-size "866 KB">
-<!ENTITY gnome-icon-themes-time "0.02 SBU">
+<!ENTITY gnome-icon-themes-buildsize "11 MB">
+<!ENTITY gnome-icon-themes-version "1.0.6">
+<!ENTITY gnome-icon-themes-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/1.0/gnome-icon-theme-1.0.6.tar.bz2">
+<!ENTITY gnome-icon-themes-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/1.0/gnome-icon-theme-1.0.6.tar.bz2">
+<!ENTITY gnome-icon-themes-size "1.9 MB">
+<!ENTITY gnome-icon-themes-time "0.01 SBU">
Index: index.xml
===================================================================
--- index.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ index.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030831">
-<!ENTITY releasedate "August 31st, 2003">
+<!ENTITY version "20030901">
+<!ENTITY releasedate "September 1st, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c4868696cb7c9931beeb351fbf2cb51f1aef41b1)
+++ introduction/welcome/changelog.xml	(revision 75d04bc88b328d8cdeb1c2a0b935d1ecbd41df18)
@@ -11,4 +11,8 @@
 <itemizedlist>
 
+<listitem><para>September 1st, 2003 [larry]: gnome: updated to
+libbonoboui-2.2.2, gnome-icon-theme-1.0.6 and
+libgnomeui-2.2.2.</para></listitem>
+
 <listitem><para>August 31st, 2003 [larry]: gnome: updated to
 GConf-2.2.1, gnome-mime-data-2.2.1, gnome-vfs-2.2.5, libgnome-2.2.3 and