Index: x/installing/xfree86.xml
===================================================================
--- x/installing/xfree86.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/installing/xfree86.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">XFree86-&xfree86-version;-src-1.tar</keyword>
+      <keyword role="ftptdir">XFree86</keyword>
+    </keywordset>
   </sect1info>
 
@@ -72,8 +76,8 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="libpng"/></para>
+    <para role="required"><xref linkend="libpng"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="linux-pam"/>; the
+    <para role="optional"><xref linkend="linux-pam"/>; the
     following packages are included in the <application>XFree86</application>
     package, however they are updated more often than the
Index: x/installing/xorg.xml
===================================================================
--- x/installing/xorg.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/installing/xorg.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">X11R&xorg-version;-src.tar</keyword>
+      <keyword role="ftptdir">Xorg</keyword>
+    </keywordset>
   </sect1info>
 
@@ -98,9 +102,9 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="libpng"/> and
+    <para role="required"><xref linkend="libpng"/> and
     <xref linkend="fontconfig"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="linux-pam"/></para>
+    <para role="optional"><xref linkend="linux-pam"/></para>
 
     <bridgehead renderas="sect3">Download Instructions</bridgehead>
Index: x/lib/atk.xml
===================================================================
--- x/lib/atk.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/atk.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">atk-&atk-version;.tar</keyword>
+      <keyword role="ftptdir">atk</keyword>
+    </keywordset>
   </sect1info>
 
@@ -60,8 +64,8 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="glib2"/></para>
+    <para role="required"><xref linkend="glib2"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="gtk-doc"/></para>
+    <para role="optional"><xref linkend="gtk-doc"/></para>
 
   </sect2>
Index: x/lib/cairo.xml
===================================================================
--- x/lib/cairo.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/cairo.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">cairo-&cairo-version;.tar</keyword>
+      <keyword role="ftptdir">cairo</keyword>
+    </keywordset>
   </sect1info>
 
@@ -69,9 +73,10 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xorg"/> or <xref linkend="xfree86"/>) and
-    <xref linkend="pkgconfig"/></para>
+    <para role="required">X (<xref linkend="xorg"/> or <xref linkend="xfree86"/>)
+    and <xref linkend="pkgconfig"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><ulink url="http://www.freedesktop.org/Software/glitz">glitz</ulink>,
+    <para role="optional"><ulink
+    url="http://www.freedesktop.org/Software/glitz">glitz</ulink>,
     <ulink url="http://xcb.freedesktop.org/wiki/">XCB</ulink> and
     <xref linkend="gtk-doc"/></para>
Index: x/lib/freeglut.xml
===================================================================
--- x/lib/freeglut.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/freeglut.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">freeglut-&freeglut-version;.tar</keyword>
+      <keyword role="ftptdir">freeglut</keyword>
+    </keywordset>
   </sect1info>
 
@@ -61,5 +65,6 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
+    <para role="required">X (<xref linkend="xfree86"/> or
+    <xref linkend="xorg"/>)</para>
 
   </sect2>
Index: x/lib/gtk+.xml
===================================================================
--- x/lib/gtk+.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/gtk+.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -13,9 +13,13 @@
 ]>
 <sect1 id="GTK" xreflabel="GTK+-&GTK-version;">
-  <?dbhtml filename="gtk.html" ?>
+  <?dbhtml filename="GTK.html" ?>
 
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">gtk+-&GTK-version;.tar</keyword>
+      <keyword role="ftptdir">gtk+</keyword>
+    </keywordset>
   </sect1info>
 
@@ -58,5 +62,5 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="GLib"/>,
+    <para role="required"><xref linkend="GLib"/>,
     <xref linkend="libtiff"/>,
     <xref linkend="libjpeg"/>, and
Index: x/lib/gtk+2.xml
===================================================================
--- x/lib/gtk+2.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/gtk+2.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">gtk+-&gtk2-version;.tar</keyword>
+      <keyword role="ftptdir">gtk+</keyword>
+    </keywordset>
   </sect1info>
 
@@ -59,10 +63,10 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="cairo"/>,
+    <para role="required"><xref linkend="cairo"/>,
     <xref linkend="pango"/>, and
     <xref linkend="atk"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="libtiff"/> and
+    <para role="recommended"><xref linkend="libtiff"/> and
     <xref linkend="libjpeg"/></para>
 
@@ -74,5 +78,5 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="gtk-doc"/> and
+    <para role="optional"><xref linkend="gtk-doc"/> and
     <xref linkend="docbook-utils"/></para>
 
Index: x/lib/hicolor-icon-theme.xml
===================================================================
--- x/lib/hicolor-icon-theme.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/hicolor-icon-theme.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -20,4 +20,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">hicolor-icon-theme-&hicolor-icon-theme-version;.tar</keyword>
+      <keyword role="ftptdir">hicolor-icon-theme</keyword>
+    </keywordset>
   </sect1info>
 
Index: x/lib/lesstif.xml
===================================================================
--- x/lib/lesstif.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/lesstif.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">lesstif-&lesstif-version;.tar</keyword>
+      <keyword role="ftptdir">lesstif</keyword>
+    </keywordset>
   </sect1info>
 
@@ -66,9 +70,10 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
+    <para role="required">X (<xref linkend="xfree86"/> or
+    <xref linkend="xorg"/>)</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="lynx"/> or <xref linkend="Links"/> (used to generate
-    the <filename>INSTALL</filename> documentation file) and
+    <para role="optional"><xref linkend="lynx"/> or <xref linkend="Links"/>
+    (used to generate the <filename>INSTALL</filename> documentation file) and
     <ulink url="http://dmalloc.com">Dmalloc</ulink></para>
 
Index: x/lib/libwnck.xml
===================================================================
--- x/lib/libwnck.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/libwnck.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">libwnck-&libwnck-version;.tar</keyword>
+      <keyword role="ftptdir">libwnck</keyword>
+    </keywordset>
   </sect1info>
 
@@ -58,10 +62,10 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="gtk2"/>,
+    <para role="required"><xref linkend="gtk2"/>,
     <xref linkend="intltool"/> and
     <xref linkend="startup-notification"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="gtk-doc"/></para>
+    <para role="optional"><xref linkend="gtk-doc"/></para>
 
   </sect2>
Index: x/lib/libxklavier.xml
===================================================================
--- x/lib/libxklavier.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/libxklavier.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">libxklavier-&libxklavier-version;.tar</keyword>
+      <keyword role="ftptdir">libxklavier</keyword>
+    </keywordset>
   </sect1info>
 
@@ -58,10 +62,10 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    <para role="required">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
     <xref linkend="pkgconfig"/> and
     <xref linkend="libxml2"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="doxygen"/></para>
+    <para role="optional"><xref linkend="doxygen"/></para>
 
   </sect2>
Index: x/lib/pango.xml
===================================================================
--- x/lib/pango.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/pango.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">pango-&pango-version;.tar</keyword>
+      <keyword role="ftptdir">pango</keyword>
+    </keywordset>
   </sect1info>
 
@@ -59,8 +63,8 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="glib2"/></para>
+    <para role="required"><xref linkend="glib2"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="cairo"/></para>
+    <para role="recommended"><xref linkend="cairo"/></para>
 
     <para><application>cairo</application> is not required to build
@@ -71,9 +75,9 @@
     <bridgehead renderas="sect4">Optional (If <application>cairo</application>
     is Not Installed)</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and
-    <xref linkend="fontconfig"/></para>
+    <para role="optional">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)
+    and <xref linkend="fontconfig"/></para>
 
     <bridgehead renderas="sect4">Optional (To Rebuild the API Documentation)</bridgehead>
-    <para><xref linkend="gtk-doc"/></para>
+    <para role="optional"><xref linkend="gtk-doc"/></para>
 
   </sect2>
Index: x/lib/qt.xml
===================================================================
--- x/lib/qt.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/qt.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">qt-x11-free-&qt-version;.tar</keyword>
+      <keyword role="ftptdir">qt-x11-free</keyword>
+    </keywordset>
   </sect1info>
 
@@ -71,11 +75,13 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
+    <para role="required">X (<xref linkend="xfree86"/> or
+    <xref linkend="xorg"/>)</para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="libjpeg"/> and <xref linkend="libmng"/></para>
+    <para role="recommended"><xref linkend="libjpeg"/> and
+    <xref linkend="libmng"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="nas"/>,
+    <para role="optional"><xref linkend="nas"/>,
     <xref linkend="cups"/>,
     <xref linkend="mysql"/>,
Index: x/lib/shared-mime-info.xml
===================================================================
--- x/lib/shared-mime-info.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/shared-mime-info.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -20,4 +20,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">shared-mime-info-&shared-mime-info-version;.tar</keyword>
+      <keyword role="ftptdir">shared-mime-info</keyword>
+    </keywordset>
   </sect1info>
 
@@ -60,5 +64,5 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="glib2"/>,
+    <para role="required"><xref linkend="glib2"/>,
     <xref linkend="libxml2"/> and
     <xref linkend="perl-xml-parser"/></para>
Index: x/lib/startup-notification.xml
===================================================================
--- x/lib/startup-notification.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/lib/startup-notification.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -20,4 +20,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">startup-notification-&startup-notification-version;.tar</keyword>
+      <keyword role="ftptdir">startup-notification</keyword>
+    </keywordset>
   </sect1info>
 
@@ -61,5 +65,6 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
+    <para role="optional">X (<xref linkend="xfree86"/> or
+    <xref linkend="xorg"/>)</para>
 
   </sect2>
Index: x/wm/fluxbox.xml
===================================================================
--- x/wm/fluxbox.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/wm/fluxbox.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">fluxbox-&fluxbox-version;.tar</keyword>
+      <keyword role="ftptdir">fluxbox</keyword>
+    </keywordset>
   </sect1info>
 
@@ -58,8 +62,9 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
+    <para role="required">X (<xref linkend="xfree86"/> or
+    <xref linkend="xorg"/>)</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="imlib2"/> Image display library</para>
+    <para role="optional"><xref linkend="imlib2"/> Image display library</para>
 
    </sect2>
Index: x/wm/metacity.xml
===================================================================
--- x/wm/metacity.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/wm/metacity.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">metacity-&metacity-version;.tar</keyword>
+      <keyword role="ftptdir">metacity</keyword>
+    </keywordset>
   </sect1info>
 
@@ -58,10 +62,10 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="intltool"/>,
+    <para role="required"><xref linkend="intltool"/>,
     <xref linkend="GConf"/>, and
     <xref linkend="gtk2"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="startup-notification"/> (recommended if you are
+    <para role="optional"><xref linkend="startup-notification"/> (recommended if you are
     installing <application>GNOME</application>-2) and
     <ulink url="http://freedesktop.org/Software/xlibs">libXcomposite</ulink>*</para>
Index: x/wm/sawfish.xml
===================================================================
--- x/wm/sawfish.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/wm/sawfish.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">sawfish-&sawfish-version;.tar</keyword>
+      <keyword role="ftptdir">sawfish</keyword>
+    </keywordset>
   </sect1info>
 
@@ -60,5 +64,5 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    <para role="required">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
     <xref linkend="librep"/>,
     <xref linkend="rep-gtk"/>,
Index: x/wm/xfce.xml
===================================================================
--- x/wm/xfce.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ x/wm/xfce.xml	(revision 76a39aaf2bd05a1dd2637146d887a68204014b61)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">xfce-&xfce-version;-src.tar</keyword>
+      <keyword role="ftptdir">xfce</keyword>
+    </keywordset>
   </sect1info>
 
@@ -58,9 +62,9 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="gtk2"/> and
+    <para role="required"><xref linkend="gtk2"/> and
     <xref linkend="libxml2"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="libgtkhtml"/>,
+    <para role="optional"><xref linkend="libgtkhtml"/>,
     <xref linkend="startup-notification"/>,
     <xref linkend="a2ps"/> and