Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision 08f422efdb5db47b67550065c7e944e07695c6fa)
+++ kde/extra-cmake-modules.xml	(revision 77a91cb02f863e71412b9df35ab7b8e6bf516101)
@@ -7,5 +7,5 @@
    <!ENTITY extra-cmake-modules-download-http "http://download.kde.org/stable/frameworks/&kf5-base;/extra-cmake-modules-&extra-cmake-modules-version;.tar.xz">
    <!ENTITY extra-cmake-modules-download-ftp  " ">
-   <!ENTITY extra-cmake-modules-md5sum        "91473997dd136046e1917795711e4b9b">
+   <!ENTITY extra-cmake-modules-md5sum        "3c04b695a164407a2a2fcaf848c42c55">
    <!ENTITY extra-cmake-modules-size          "280 KB">
    <!ENTITY extra-cmake-modules-buildsize     "3.8 MB">
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision 08f422efdb5db47b67550065c7e944e07695c6fa)
+++ kde/kf5/kf5-frameworks.xml	(revision 77a91cb02f863e71412b9df35ab7b8e6bf516101)
@@ -8,7 +8,7 @@
   <!ENTITY kf5-download-ftp  " ">
   <!ENTITY kf5-md5sum        "See Below">
-  <!ENTITY kf5-size          "255 MB">
-  <!ENTITY kf5-buildsize     "1.1 GB">
-  <!ENTITY kf5-time          "48 SBU">
+  <!ENTITY kf5-size          "256 MB">
+  <!ENTITY kf5-buildsize     "948 MB">
+  <!ENTITY kf5-time          "40 SBU">
 ]>
 
@@ -131,4 +131,9 @@
   </para>
 
+  <bridgehead renderas="sect4">Optional dependency for KWallet</bridgehead>
+  <para role="optional">
+    <ulink url="&kf5apps-download-http;">gpgmepp</ulink>
+  </para>
+
   <bridgehead renderas="sect4">Optional dictionary backends for Sonnet</bridgehead>
   <para role="optional">
@@ -169,75 +174,76 @@
 
 <screen><userinput>cat &gt; frameworks-&kf5-version;.md5 &lt;&lt; "EOF"
-<literal>17d59faee6f1742cad3bb0ca28106463  attica-5.21.0.tar.xz
-#91473997dd136046e1917795711e4b9b  extra-cmake-modules-5.21.0.tar.xz
-65b7516549e06c9b30eb6fc6c2f241a3  kapidox-5.21.0.tar.xz
-125a68c6e5889f6423ecd3e08dbd80ae  karchive-5.21.0.tar.xz
-b562695ce0bb7af496f518d7fefef314  kcodecs-5.21.0.tar.xz
-11782bb4555990deafa273f0288d2673  kconfig-5.21.0.tar.xz
-f3823cbe368197f64ec692e3e6688865  kcoreaddons-5.21.0.tar.xz
-9f7719be3da4cf774783cc62ee45ea7b  kdbusaddons-5.21.0.tar.xz
-c2f969a1c574c4c4968f7881e40b8a7b  kdnssd-5.21.0.tar.xz
-0a84bef225895de02a0df3c1d9b8747e  kguiaddons-5.21.0.tar.xz
-b96cc4d8aa9ae3368463c1a7c647c17f  ki18n-5.21.0.tar.xz
-e3bb0691003ceb42832687f2ca2351cb  kidletime-5.21.0.tar.xz
-f41647a23f3e4c365dfb47a2cad16864  kimageformats-5.21.0.tar.xz
-5779445af01badb8ced11df552afe305  kitemmodels-5.21.0.tar.xz
-845f3765a3382d5bd60f17fb4f10e83b  kitemviews-5.21.0.tar.xz
-41743b94bdb0ede561a8adefc694586e  kplotting-5.21.0.tar.xz
-033efe9faefc98877e40c75a8cbbdfe4  kwidgetsaddons-5.21.0.tar.xz
-69b0c1d0ff309f966e83af7e4852cbd9  kwindowsystem-5.21.0.tar.xz
-ee4cfddcd9f58de29c8af418c9243bd1  networkmanager-qt-5.21.0.tar.xz
-0b83cbdd8985c9a2b115523da9db02a9  solid-5.21.0.tar.xz
-5c8212774d88fb0038b39e742f1ea7fa  sonnet-5.21.0.tar.xz
-1f205dd6808ec92268537fdc3db077d9  threadweaver-5.21.0.tar.xz
-f825418d85c8853c1de0dffb737573de  kauth-5.21.0.tar.xz
-b96f44cb78c6ee6bf553dcbbdfa9e2b2  kcompletion-5.21.0.tar.xz
-508b6c0a8657a6da0878549c8df8c7e5  kcrash-5.21.0.tar.xz
-74b3c7be0056416027b9fe7abd993bb5  kdoctools-5.21.0.tar.xz
-b6b51b6832faf2fb52d53e8bd6b62852  kpty-5.21.0.tar.xz
-b926ae0d615f52a2314c3d0935ea8953  kunitconversion-5.21.0.tar.xz
-1c6d1518afb7b5ab1d28812d69ea21bc  kconfigwidgets-5.21.0.tar.xz
-e3c726f8b0ba7254dbda63125362ce17  kglobalaccel-5.21.0.tar.xz
-e9c3978c9ebb548f24c4c9b903485094  kpackage-5.21.0.tar.xz
-f3dd9e0abd2a56402d28297ca4308d32  kservice-5.21.0.tar.xz
-bdb3be4e01bfa3b59c27507baebd85a6  kdesu-5.21.0.tar.xz
-8fc30377409b0833f34e5b884555a909  kemoticons-5.21.0.tar.xz
-900832d7cf491b67f4ea1f16ca79bad4  kiconthemes-5.21.0.tar.xz
-919e821f4ba2c7d4ee46c88983b75e9c  kjobwidgets-5.21.0.tar.xz
-e5f045f1c1e51bbb73d3d4b3a1a77658  knotifications-5.21.0.tar.xz
-5c222b40f6af596aa3c9a421b25ac10c  ktextwidgets-5.21.0.tar.xz
-f7ed4eb160d0345780ff54bf365cedb8  kwallet-5.21.0.tar.xz
-df170e2072519d5b48e6fee2bd0d1a5c  kxmlgui-5.21.0.tar.xz
-6e2b1a57d02cd44afb8006a70dd80470  kbookmarks-5.21.0.tar.xz
-9ffc4e4ee5e63def230249942d85a344  kio-5.21.0.tar.xz
-1a2b4592d7095426f29a872135d21be0  kdeclarative-5.21.0.tar.xz
-81f389f4b4374f1cc4c8ed00ad43d559  kcmutils-5.21.0.tar.xz
-5c49bcff088db6b9d37977a53b1e561b  frameworkintegration-5.21.0.tar.xz
-7ef5abc8f61026be09855a7a28bbddf4  kinit-5.21.0.tar.xz
-0790e977930f295164a4f123b78024e0  knewstuff-5.21.0.tar.xz
-98fb2dad8172533ce8ecd392c0e370f3  knotifyconfig-5.21.0.tar.xz
-926a7bfbaedcd988c4105f81609373e7  kparts-5.21.0.tar.xz
-ef38903e74bb1afafb99be31204c6c38  kactivities-5.21.0.tar.xz
-fc020d7d693d37ea858bd647c4c545f8  kded-5.21.0.tar.xz
-0be4bf0fb45b1de787cd8f438cc277ce  kdewebkit-5.21.0.tar.xz
-fadc9c3d3a35fb65e05160a400d45b59  ktexteditor-5.21.0.tar.xz
-1dfa4a67a038c4ae76b7def25eb9504f  kdesignerplugin-5.21.0.tar.xz
-d2ba9565e7f5338bfd96976fcc65c34f  plasma-framework-5.21.0.tar.xz
-#cb052a66a7e7083d6d222720e2de8076  modemmanager-qt-5.21.0.tar.xz
-1187211cdeb40a5a88021448fd57a806  kpeople-5.21.0.tar.xz
-678cee98503052a3fd7872a99fc1b46b  kxmlrpcclient-5.21.0.tar.xz
-245971e2fe0d4eb86545efef311be4a9  bluez-qt-5.21.0.tar.xz
-13b348dd4fed495fbdc6cc2852dfc7ba  kfilemetadata-5.21.0.tar.xz
-67191a45e4630dd61949ee5500fcfc1c  baloo-5.21.0.tar.xz
-#2d293916db5ea309e2f4b3659c394a79  breeze-icons-5.21.0.tar.xz
-#630bdf3621e233f0f8ca5b0fdb7c0a65  oxygen-icons5-5.21.0.tar.xz
-3698b95f2dae16a041445872607ccf0b  kactivities-stats-5.21.0.tar.xz
-c8f2a9b67efd71289575432ed3956b15  portingAids/kjs-5.21.0.tar.xz
-8111517907d13ee33a59e7894f358feb  portingAids/kdelibs4support-5.21.0.tar.xz
-eb093d1333dddc7105fd5773d573af00  portingAids/khtml-5.21.0.tar.xz
-a8059f73f22b60cd96f222dc3bb73f4f  portingAids/kjsembed-5.21.0.tar.xz
-5e2c06f891df06013607ccb9b1118096  portingAids/kmediaplayer-5.21.0.tar.xz
-3bbbe20155703ae8b013c6bced6e7a11  portingAids/kross-5.21.0.tar.xz
-bc2a4799f93063f747d457f5021dbe48  portingAids/krunner-5.21.0.tar.xz</literal>
+<literal>e632a0f2f13615ca961b0a24f3322b58  attica-5.23.0.tar.xz
+#3c04b695a164407a2a2fcaf848c42c55  extra-cmake-modules-5.23.0.tar.xz
+3ed25b2b4393a107da6981cee61ddc14  kapidox-5.23.0.tar.xz
+7d21c57bebdd6800143c1b03b4f9b4c3  karchive-5.23.0.tar.xz
+4c8488c88285761578bb4d384cb54ada  kcodecs-5.23.0.tar.xz
+2b822e9e4549fd2deffc23468af461e1  kconfig-5.23.0.tar.xz
+d808f36a8dfa14dd9300d3e0f76b69aa  kcoreaddons-5.23.0.tar.xz
+0805d1dee82cf6d627dbdf2872bbbb00  kdbusaddons-5.23.0.tar.xz
+8a822dd18517a2ed38bdf5bb0d546c5d  kdnssd-5.23.0.tar.xz
+e910e142696eec33aec7f57fce6efba5  kguiaddons-5.23.0.tar.xz
+eee903d5ed5575487769403a4979c016  ki18n-5.23.0.tar.xz
+544c074d621f047ab42f91cc5ef1972d  kidletime-5.23.0.tar.xz
+8231b9fe98138f407b00f7cc011febca  kimageformats-5.23.0.tar.xz
+f80e094e554cb59ea92c2725c6d565ec  kitemmodels-5.23.0.tar.xz
+392f5aca94090ff7a2c71cd6c4e3352f  kitemviews-5.23.0.tar.xz
+4acdf183309dfbee324dfae7f2169cf5  kplotting-5.23.0.tar.xz
+d218ec2b2e7264fbd0cb631f77bbd70f  kwidgetsaddons-5.23.0.tar.xz
+a94136e4f5af55dab34929fc5521d115  kwindowsystem-5.23.0.tar.xz
+08b9e2476be272cd2dd2a0b3380abeea  networkmanager-qt-5.23.0.tar.xz
+ed66c1e1e9cb1dcb06e037aa0d2b5d55  solid-5.23.0.tar.xz
+a557695b926c0857a4aba81c43879242  sonnet-5.23.0.tar.xz
+b7afffde55f36e3878a2e9ccbd70989c  threadweaver-5.23.0.tar.xz
+1e41eae5f42f03b2de331460f280a327  kauth-5.23.0.tar.xz
+c06fe622e9297d3a4dd8695b2f79670e  kcompletion-5.23.0.tar.xz
+8f4efc958c5f820399d2620abd4f5b39  kcrash-5.23.0.tar.xz
+4db500f1850f6138172249ba4fabd926  kdoctools-5.23.0.tar.xz
+458cc1bc560be08c3a706049bf037918  kpty-5.23.0.tar.xz
+d2423ba06bfacd9f5d25f9704c3cbdd9  kunitconversion-5.23.0.tar.xz
+5f5f18e3425775f38b24422a8e9675bb  kconfigwidgets-5.23.0.tar.xz
+73e64bb284dfa301d78a778bb549461e  kglobalaccel-5.23.0.tar.xz
+c7e6bb3a9141b86b0791f9a949156ec1  kpackage-5.23.0.tar.xz
+d0642716404ae604d6db198139ce20f7  kservice-5.23.0.tar.xz
+628bd240ca7b69ab64ead67a95fd11f3  kdesu-5.23.0.tar.xz
+0e56a38f94975ff508536206f9a3fcb9  kemoticons-5.23.0.tar.xz
+da801d2c0556759497075c725919c193  kiconthemes-5.23.0.tar.xz
+5d11070cecef697c44b13fa5f9c3a925  kjobwidgets-5.23.0.tar.xz
+7ad46c7baf13d98e710bff847d75891f  knotifications-5.23.0.tar.xz
+0f462365b296549e05de2159f18dd3e2  ktextwidgets-5.23.0.tar.xz
+37715313db7117da3eabc163ce8c9f0b  kwallet-5.23.0.tar.xz
+e8b47c782e7d30b4c363187c9a1a72b9  kxmlgui-5.23.0.tar.xz
+63c5aa00974e3fd95bfd742c4e90e3bc  kbookmarks-5.23.0.tar.xz
+cad4e5542bec99a3b264b06988193195  kio-5.23.0.tar.xz
+3de69c04bffcb050ac3f96b510229527  kdeclarative-5.23.0.tar.xz
+1d4043e0d21472c32619f066402190a0  kcmutils-5.23.0.tar.xz
+16af94413983986c36a3a2b9279a3b7b  frameworkintegration-5.23.0.tar.xz
+4072959e05d8a561fca95919fc8fad18  kinit-5.23.0.tar.xz
+2ac172c3af820c701e8e144e7f9d35db  knewstuff-5.23.0.tar.xz
+b2e4a68bff24fd7cc4cb500af53fcd61  knotifyconfig-5.23.0.tar.xz
+6a82c4f8b69ae6d28d74ed795865c248  kparts-5.23.0.tar.xz
+85af6c7eab34592872a85c9559ed1b36  kactivities-5.23.0.tar.xz
+b6731516ccfad1149a8b9c0f818d39d6  kded-5.23.0.tar.xz
+9799a785217ea8877f288348cce72c0f  kdewebkit-5.23.0.tar.xz
+b7dd9344c55b392ea0d7fc79935e14af  ktexteditor-5.23.0.tar.xz
+fe1ec30258eb149d21c9f649b72a8f1a  kdesignerplugin-5.23.0.tar.xz
+ff844df8d38596734e541a0c53131e32  plasma-framework-5.23.0.tar.xz
+#b3c61320b50e06b9e3919d10d45229f7  modemmanager-qt-5.23.0.tar.xz
+32e94125a4e4f559fa70d6855b5d98a7  kpeople-5.23.0.tar.xz
+0124ecbcda55655ae893f49626b7c35c  kxmlrpcclient-5.23.0.tar.xz
+a7c7afc02a3842119607c62f2f1191b2  bluez-qt-5.23.0.tar.xz
+4aef6d8fbce1de5906c31318a0dd8e95  kfilemetadata-5.23.0.tar.xz
+6280369bf13d595f4d951bcab59663ff  baloo-5.23.0.tar.xz
+#ec81600d6dd3059b694827a988cfce95  breeze-icons-5.23.0.tar.xz
+#0c5375eaba2e68bb2ef046d303de221e  oxygen-icons5-5.23.0.tar.xz
+179ba5f3e126f04461df16c44a6cf0dc  kactivities-stats-5.23.0.tar.xz
+5b3cadf4d586d15729b97b8c152e82b7  krunner-5.23.0.tar.xz
+8645b010fe6a30c374723cba26266e67  kwayland-5.23.0.tar.xz
+dbe8d5a37f7f758f36d576b4d8a94126  portingAids/kjs-5.23.0.tar.xz
+67dc7c5cad0b9a18c53e359878fe183a  portingAids/kdelibs4support-5.23.0.tar.xz
+6a913fe17e44b24291be9aa0f7d3a45e  portingAids/khtml-5.23.0.tar.xz
+4b818b430015981c40a99a638e025e40  portingAids/kjsembed-5.23.0.tar.xz
+e639b1bfeb1f40f8e11dde2163fdd5ea  portingAids/kmediaplayer-5.23.0.tar.xz
+d25f3dde5af8bd50021f6165fbef6461  portingAids/kross-5.23.0.tar.xz</literal>
 EOF</userinput></screen>
 