Index: kde/add/ark.xml
===================================================================
--- kde/add/ark.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/ark.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY ark-download-http "&kde-download-http;&kde-version;/src/ark-&kde-version;.tar.xz">
   <!ENTITY ark-download-ftp  "&kde-download-ftp;&kde-version;/src/ark-&kde-version;.tar.xz">
-  <!ENTITY ark-md5sum        "c69d9c4c0325acf314bb56ba73e09c59">
-  <!ENTITY ark-size          "234 KB">
+  <!ENTITY ark-md5sum        "024da5a554b04d2fb420adaaeedfb911">
+  <!ENTITY ark-size          "238 KB">
   <!ENTITY ark-buildsize     "9.5 MB">
   <!ENTITY ark-time          "0.8 SBU">
@@ -32,5 +32,5 @@
     <para>This package provides an archiving utility for KDE.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/gwenview.xml
===================================================================
--- kde/add/gwenview.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/gwenview.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,5 +7,5 @@
   <!ENTITY gwenview-download-http "&kde-download-http;&kde-version;/src/gwenview-&kde-version;.tar.xz">
   <!ENTITY gwenview-download-ftp  "&kde-download-ftp;&kde-version;/src/gwenview-&kde-version;.tar.xz">
-  <!ENTITY gwenview-md5sum        "27abbd35dc4545ec6b7e4f7176b121c5">
+  <!ENTITY gwenview-md5sum        "e98979658c4b61d70f76bb19cf0c3cd9">
   <!ENTITY gwenview-size          "2.2 MB">
   <!ENTITY gwenview-buildsize     "24 MB">
@@ -32,5 +32,5 @@
     <para>Gwenview is a fast and easy-to-use image viewer for KDE.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/kate.xml
===================================================================
--- kde/add/kate.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/kate.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kate-download-http "&kde-download-http;&kde-version;/src/kate-&kde-version;.tar.xz">
   <!ENTITY kate-download-ftp  "&kde-download-ftp;&kde-version;/src/kate-&kde-version;.tar.xz">
-  <!ENTITY kate-md5sum        "dfb02f35f1aaf4e9083c16e7f797bede">
-  <!ENTITY kate-size          "2.1 MB">
+  <!ENTITY kate-md5sum        "7ffabec061a8d9b814b5dd498d1e7d2b">
+  <!ENTITY kate-size          "2.6 MB">
   <!ENTITY kate-buildsize     "75 MB">
   <!ENTITY kate-time          "4.6 SBU">
@@ -34,5 +34,5 @@
       programming and scripting languages. KWrite is the lightweight cousin of Kate.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/kdeadmin.xml
===================================================================
--- kde/add/kdeadmin.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/kdeadmin.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kdeadmin-download-http "&kde-download-http;&kde-version;/src/kdeadmin-&kde-version;.tar.xz">
   <!ENTITY kdeadmin-download-ftp  "&kde-download-ftp;&kde-version;/src/kdeadmin-&kde-version;.tar.xz">
-  <!ENTITY kdeadmin-md5sum        "a019719b629ca5dcd5dedba04a28d208">
-  <!ENTITY kdeadmin-size          "665 KB">
+  <!ENTITY kdeadmin-md5sum        "e2ab55fcb83a8336dbc07cda272b6e6a">
+  <!ENTITY kdeadmin-size          "677 KB">
   <!ENTITY kdeadmin-buildsize     "23 MB">
   <!ENTITY kdeadmin-time          "2.2 SBU">
@@ -35,5 +35,5 @@
     file viewer.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/kdenetwork.xml
===================================================================
--- kde/add/kdenetwork.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/kdenetwork.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -34,5 +34,5 @@
     client (Kopete) and PPP frontend (Kppp).</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/kdepim-runtime.xml
===================================================================
--- kde/add/kdepim-runtime.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/kdepim-runtime.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kdepim-runtime-download-http "&kde-download-http;&kde-version;/src/kdepim-runtime-&kde-version;.tar.xz">
   <!ENTITY kdepim-runtime-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepim-runtime-&kde-version;.tar.xz">
-  <!ENTITY kdepim-runtime-md5sum        "855937d88b92edae7c535550ff38704e">
-  <!ENTITY kdepim-runtime-size          "1.1 MB">
+  <!ENTITY kdepim-runtime-md5sum        "24e6db37931233ce39fba87e7a83dbf0">
+  <!ENTITY kdepim-runtime-size          "1.2 MB">
   <!ENTITY kdepim-runtime-buildsize     "106 MB">
   <!ENTITY kdepim-runtime-time          "7.2 SBU">
@@ -33,5 +33,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/kdepim.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kdepim-download-http "&kde-download-http;&kde-version;/src/kdepim-&kde-version;.tar.xz">
   <!ENTITY kdepim-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepim-&kde-version;.tar.xz">
-  <!ENTITY kdepim-md5sum        "c9ebf0e7e917f5d6a2d3d61912c7028f">
-  <!ENTITY kdepim-size          "15 MB">
+  <!ENTITY kdepim-md5sum        "a79a1c4393be39d42b0e146c2c18e01a">
+  <!ENTITY kdepim-size          "14.0 MB">
   <!ENTITY kdepim-buildsize     "318 MB">
   <!ENTITY kdepim-time          "19.2 SBU">
@@ -35,5 +35,5 @@
     and sticky notes.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -59,13 +59,12 @@
     </itemizedlist>
 
-<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
       <listitem>
         <para>Required patch: <ulink
-        url="&patch-root;/kdepim-&kde-version;-fixes-1.patch"/></para>
+        url="&patch-root;/kdepim-&kde-version;-boost_fix-1.patch"/></para>
       </listitem>
     </itemizedlist>
--->
+    
     <bridgehead renderas="sect3">Kdepim Dependencies</bridgehead>
 
@@ -98,19 +97,9 @@
     <title>Installation of Kdepim</title>
 
-   <!--This should be added in automoc4 instructions. I don't like that some package
-   modifies already installed one. -->
-
-    <para>The building proces of <application>Kdepim</application> is known to
-    fail when compiling with recent versions of
-    <application>Boost</application>. Fix this by issuing the following as
-    root:</para>
-
-<screen role="root"><userinput>sed -i 's/@_moc_cdefs@/@_moc_cdefs@;BOOST_TT_HAS_OPERATOR_HPP_INCLUDED/' $QTDIR/lib/automoc4/automoc4.files.in &amp;&amp;
-sed -i 's/@_moc_defs@/@_moc_defs@ -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED/' $QTDIR/lib/automoc4/automoc4.files.in</userinput></screen>
-
     <para>Install <application>Kdepim</application> by running
     the following commands:</para>
-
-<screen><userinput>mkdir build &amp;&amp;
+    
+<screen><userinput>patch -Np1 -i ../kdepim-&kde-version;-boost_fix-1.patch &amp;&amp;
+mkdir build &amp;&amp;
 cd build &amp;&amp;
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
Index: kde/add/kdeplasma-addons.xml
===================================================================
--- kde/add/kdeplasma-addons.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/kdeplasma-addons.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kdeplasma-addons-download-http "&kde-download-http;&kde-version;/src/kdeplasma-addons-&kde-version;.tar.xz">
   <!ENTITY kdeplasma-addons-download-ftp  "&kde-download-ftp;&kde-version;/src/kdeplasma-addons-&kde-version;.tar.xz">
-  <!ENTITY kdeplasma-addons-md5sum        "96f8706475ec5a40cedaf25fce7996b1">
-  <!ENTITY kdeplasma-addons-size          "1.7 MB">
+  <!ENTITY kdeplasma-addons-md5sum        "63bb1b1897bdf91c2127eda4aeb00946">
+  <!ENTITY kdeplasma-addons-size          "1.8 MB">
   <!ENTITY kdeplasma-addons-buildsize     "72 MB">
   <!ENTITY kdeplasma-addons-time          "5.1 SBU">
@@ -33,5 +33,5 @@
     lancelot, calculator, wallpapers etc.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/kmix.xml
===================================================================
--- kde/add/kmix.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/kmix.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kmix-download-http "&kde-download-http;&kde-version;/src/kmix-&kde-version;.tar.xz">
   <!ENTITY kmix-download-ftp  "&kde-download-ftp;&kde-version;/src/kmix-&kde-version;.tar.xz">
-  <!ENTITY kmix-md5sum        "fb124e167e3bba58827a6bffa3fcc4c2">
-  <!ENTITY kmix-size          "380 KB">
+  <!ENTITY kmix-md5sum        "bf6812d4c995fe57984f93136cb49108">
+  <!ENTITY kmix-size          "386 KB">
   <!ENTITY kmix-buildsize     "15 MB">
   <!ENTITY kmix-time          "0.3 SBU">
@@ -32,5 +32,5 @@
     <para>This packages provides an audio mixer application for KDE.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/konsole.xml
===================================================================
--- kde/add/konsole.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/konsole.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY konsole-download-http "&kde-download-http;&kde-version;/src/konsole-&kde-version;.tar.xz">
   <!ENTITY konsole-download-ftp  "&kde-download-ftp;&kde-version;/src/konsole-&kde-version;.tar.xz">
-  <!ENTITY konsole-md5sum        "840d1ed84976cf407f99f8e868ddbeeb">
-  <!ENTITY konsole-size          "437 KB">
+  <!ENTITY konsole-md5sum        "eb261f5804d696a957e3ad4f80e93635">
+  <!ENTITY konsole-size          "447 KB">
   <!ENTITY konsole-buildsize     "12 MB">
   <!ENTITY konsole-time          "0.7 SBU">
@@ -32,5 +32,5 @@
     <para>This package provides a terminal emulator for KDE.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/libkcddb.xml
===================================================================
--- kde/add/libkcddb.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/libkcddb.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY libkcddb-download-http "&kde-download-http;&kde-version;/src/libkcddb-&kde-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  "&kde-download-ftp;&kde-version;/src/libkcddb-&kde-version;.tar.xz">
-  <!ENTITY libkcddb-md5sum        "2e18d9bf592c263b17fe2ab75df380ff">
-  <!ENTITY libkcddb-size          "157 KB">
+  <!ENTITY libkcddb-md5sum        "16f622b75c6566b84d9c09cbd802917f">
+  <!ENTITY libkcddb-size          "165 KB">
   <!ENTITY libkcddb-buildsize     "5.5 MB">
   <!ENTITY libkcddb-time          "0.3 SBU">
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/libkexiv2.xml
===================================================================
--- kde/add/libkexiv2.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/libkexiv2.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY libkexiv2-download-http "&kde-download-http;&kde-version;/src/libkexiv2-&kde-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  "&kde-download-ftp;&kde-version;/src/libkexiv2-&kde-version;.tar.xz">
-  <!ENTITY libkexiv2-md5sum        "947d17e5d96301e148f7e858db1b577d">
-  <!ENTITY libkexiv2-size          "133 KB">
+  <!ENTITY libkexiv2-md5sum        "7123058475853dd417492e7e8a28e4d0">
+  <!ENTITY libkexiv2-size          "135 KB">
   <!ENTITY libkexiv2-buildsize     "6.5 MB">
   <!ENTITY libkexiv2-time          "0.4 SBU">
@@ -33,5 +33,5 @@
     library for manipulating image metadata.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/add/okular.xml
===================================================================
--- kde/add/okular.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/add/okular.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,5 +7,5 @@
   <!ENTITY okular-download-http "&kde-download-http;&kde-version;/src/okular-&kde-version;.tar.xz">
   <!ENTITY okular-download-ftp  "&kde-download-ftp;&kde-version;/src/okular-&kde-version;.tar.xz">
-  <!ENTITY okular-md5sum        "d80826be92b2dab298959eeae0738a1b">
+  <!ENTITY okular-md5sum        "2a90d336eb26ac76dbe9daa1acbee55d">
   <!ENTITY okular-size          "1.4 MB">
   <!ENTITY okular-buildsize     "26 MB">
@@ -33,5 +33,5 @@
     including PDF, PostScript, TIFF, Microsoft CHM, DjVu, DVI, XPS and ePub.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/akonadi.xml
===================================================================
--- kde/core/akonadi.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/akonadi.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -35,5 +35,5 @@
     retrieval.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/attica.xml
===================================================================
--- kde/core/attica.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/attica.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -33,5 +33,5 @@
     "Open Collaboration Service" providers.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/automoc4.xml
===================================================================
--- kde/core/automoc4.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/automoc4.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -34,5 +34,5 @@
     <application>CMake</application> as the buildsystem.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/kactivities.xml
===================================================================
--- kde/core/kactivities.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/kactivities.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kactivities-download-http "&kde-download-http;&kde-version;/src/kactivities-&kde-version;.tar.xz">
   <!ENTITY kactivities-download-ftp  "&kde-download-ftp;&kde-version;/src/kactivities-&kde-version;.tar.xz">
-  <!ENTITY kactivities-md5sum        "15b30882f2ef484bc21d51a002c3313d">
-  <!ENTITY kactivities-size          "102 KB">
+  <!ENTITY kactivities-md5sum        "143561cb7503e4e1c6b12f9e245f4373">
+  <!ENTITY kactivities-size          "108 KB">
   <!ENTITY kactivities-buildsize     "11.4 MB">
   <!ENTITY kactivities-time          "0.5 SBU">
@@ -32,5 +32,5 @@
     <para>This package provides the activitymanager for KDE.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/kde-base-artwork.xml
===================================================================
--- kde/core/kde-base-artwork.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/kde-base-artwork.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,7 +7,7 @@
   <!ENTITY kde-base-artwork-download-http "&kde-download-http;&kde-version;/src/kde-base-artwork-&kde-version;.tar.xz">
   <!ENTITY kde-base-artwork-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-base-artwork-&kde-version;.tar.xz">
-  <!ENTITY kde-base-artwork-md5sum        "cdee7af1d029df6cd5eef63dcec5d0bc">
-  <!ENTITY kde-base-artwork-size          "16 MB">
-  <!ENTITY kde-base-artwork-buildsize     "7.4 MB">
+  <!ENTITY kde-base-artwork-md5sum        "9cba5b4868d6d037526050b7d77d64b7">
+  <!ENTITY kde-base-artwork-size          "7.4 MB">
+  <!ENTITY kde-base-artwork-buildsize     "16 MB">
   <!ENTITY kde-base-artwork-time          "less than 0.1 SBU">
 ]>
@@ -32,5 +32,5 @@
     <para>This package provides the default splash screen for KDE.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/kde-baseapps.xml
===================================================================
--- kde/core/kde-baseapps.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/kde-baseapps.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kde-baseapps-download-http "&kde-download-http;&kde-version;/src/kde-baseapps-&kde-version;.tar.xz">
   <!ENTITY kde-baseapps-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-baseapps-&kde-version;.tar.xz">
-  <!ENTITY kde-baseapps-md5sum        "b7ce9289f36322b8728278529496c4ec">
-  <!ENTITY kde-baseapps-size          "2.5 MB">
+  <!ENTITY kde-baseapps-md5sum        "e675ad3fb14275cf70610074b44de066">
+  <!ENTITY kde-baseapps-size          "2.6 MB">
   <!ENTITY kde-baseapps-buildsize     "82 MB">
   <!ENTITY kde-baseapps-time          "5.2 SBU">
@@ -34,5 +34,5 @@
     libraries are also provided.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/kde-runtime.xml
===================================================================
--- kde/core/kde-runtime.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/kde-runtime.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kde-runtime-download-http "&kde-download-http;&kde-version;/src/kde-runtime-&kde-version;.tar.xz">
   <!ENTITY kde-runtime-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-runtime-&kde-version;.tar.xz">
-  <!ENTITY kde-runtime-md5sum        "91b0641846dc622b05afd79f47dabcf3">
-  <!ENTITY kde-runtime-size          "7.1 MB">
+  <!ENTITY kde-runtime-md5sum        "7cfc70798de18662ece0eac736754f7f">
+  <!ENTITY kde-runtime-size          "7.2 MB">
   <!ENTITY kde-runtime-buildsize     "111 MB">
   <!ENTITY kde-runtime-time          "7.5 SBU">
@@ -33,5 +33,5 @@
     for <application>KDE</application>.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/kde-workspace.xml
===================================================================
--- kde/core/kde-workspace.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/kde-workspace.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kde-workspace-download-http "&kde-download-http;&kde-version;/src/kde-workspace-&kde-version;.tar.xz">
   <!ENTITY kde-workspace-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-workspace-&kde-version;.tar.xz">
-  <!ENTITY kde-workspace-md5sum        "9c9efb4efffc389150f52d167746b98a">
-  <!ENTITY kde-workspace-size          "13.4 MB">
+  <!ENTITY kde-workspace-md5sum        "8c791507cb2fdf42daebc280bdfe1b1c">
+  <!ENTITY kde-workspace-size          "13.6 MB">
   <!ENTITY kde-workspace-buildsize     "333 MB">
   <!ENTITY kde-workspace-time          "20 SBU">
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -166,11 +166,6 @@
     <title>Command Explanations</title>
 
-    <para>
-      <parameter>-DINSTALL_PYTHON_FILES_IN_PYTHON_PREFIX=TRUE</parameter>:
-      Installs the <application>KDE</application> <application>Python</application>
-      objects in the standard location. This parameter can be removed and
-      instead replaced with an update to the <envar>PYTHONPATH</envar>
-      environment variable in the system or user's profile.
-    </para>
+    <para><option>-DINSTALL_PYTHON_FILES_IN_PYTHON_PREFIX=TRUE</option>: This option is
+    set to install the KDE Python objects in the correct place.</para>
 
   </sect2>
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/kdelibs.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kdelibs-download-http "&kde-download-http;&kde-version;/src/kdelibs-&kde-version;.tar.xz">
   <!ENTITY kdelibs-download-ftp  "&kde-download-ftp;&kde-version;/src/kdelibs-&kde-version;.tar.xz">
-  <!ENTITY kdelibs-md5sum        "189ccde8522a9d79fa0c7af1d8970215">
-  <!ENTITY kdelibs-size          "11.8 MB">
+  <!ENTITY kdelibs-md5sum        "c90b95d95e7e5cbe92017ee957b5d691">
+  <!ENTITY kdelibs-size          "12.0 MB">
   <!ENTITY kdelibs-buildsize     "370 MB">
   <!ENTITY kdelibs-time          "24 SBU">
@@ -33,5 +33,5 @@
     are central to development and execution of KDE programs.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/kdepimlibs.xml
===================================================================
--- kde/core/kdepimlibs.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/kdepimlibs.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY kdepimlibs-download-http "&kde-download-http;&kde-version;/src/kdepimlibs-&kde-version;.tar.xz">
   <!ENTITY kdepimlibs-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepimlibs-&kde-version;.tar.xz">
-  <!ENTITY kdepimlibs-md5sum        "0880da45ac5c354dca7b039f8f2cbbc9">
-  <!ENTITY kdepimlibs-size          "2.7 MB">
+  <!ENTITY kdepimlibs-md5sum        "8de5cb639df2156146815a5d7aba75fc">
+  <!ENTITY kdepimlibs-size          "2.8 MB">
   <!ENTITY kdepimlibs-buildsize     "153 MB">
   <!ENTITY kdepimlibs-time          "7.5 SBU">
@@ -34,5 +34,5 @@
     <command>kmail</command>, <command>kalarm</command>, etc.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/nepomuk-core.xml
===================================================================
--- kde/core/nepomuk-core.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/nepomuk-core.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY nepomuk-core-download-http "&kde-download-http;&kde-version;/src/nepomuk-core-&kde-version;.tar.xz">
   <!ENTITY nepomuk-core-download-ftp  "&kde-download-ftp;&kde-version;/src/nepomuk-core-&kde-version;.tar.xz">
-  <!ENTITY nepomuk-core-md5sum        "8f9a7ae4c7e3231227b696154edb5bc0">
-  <!ENTITY nepomuk-core-size          "357 KB">
+  <!ENTITY nepomuk-core-md5sum        "e5c7c39ffd6096649dee0fb669def812">
+  <!ENTITY nepomuk-core-size          "372 KB">
   <!ENTITY nepomuk-core-buildsize     "37 MB">
   <!ENTITY nepomuk-core-time          "1.3 SBU">
@@ -35,5 +35,5 @@
     libraries.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/nepomuk-widgets.xml
===================================================================
--- kde/core/nepomuk-widgets.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/nepomuk-widgets.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY nepomuk-widgets-download-http "&kde-download-http;&kde-version;/src/nepomuk-widgets-&kde-version;.tar.xz">
   <!ENTITY nepomuk-widgets-download-ftp  "&kde-download-ftp;&kde-version;/src/nepomuk-widgets-&kde-version;.tar.xz">
-  <!ENTITY nepomuk-widgets-md5sum        "d3c353cfcff581777a2eb60883fe7cf1">
-  <!ENTITY nepomuk-widgets-size          "78 KB">
+  <!ENTITY nepomuk-widgets-md5sum        "59fb97642325b3c2578d0f1c15df81e0">
+  <!ENTITY nepomuk-widgets-size          "80 KB">
   <!ENTITY nepomuk-widgets-buildsize     "4.8 MB">
   <!ENTITY nepomuk-widgets-time          "0.1 SBU">
@@ -33,5 +33,5 @@
     Desktop.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/oxygen-icons.xml
===================================================================
--- kde/core/oxygen-icons.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/oxygen-icons.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -7,6 +7,6 @@
   <!ENTITY oxygen-icons-download-http "&kde-download-http;&kde-version;/src/oxygen-icons-&kde-version;.tar.xz">
   <!ENTITY oxygen-icons-download-ftp  "&kde-download-ftp;&kde-version;/src/oxygen-icons-&kde-version;.tar.xz">
-  <!ENTITY oxygen-icons-md5sum        "5b75e1b940b54975e5af9d5854f52a43">
-  <!ENTITY oxygen-icons-size          "278 MB">
+  <!ENTITY oxygen-icons-md5sum        "f45bb4dcee80ade931b8419be5f4e1b3">
+  <!ENTITY oxygen-icons-size          "277.5 MB">
   <!ENTITY oxygen-icons-buildsize     "431 MB">
   <!ENTITY oxygen-icons-time          "less than 0.1 SBU">
@@ -33,5 +33,5 @@
     high standard of graphics quality.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/phonon-backend-gstreamer.xml
===================================================================
--- kde/core/phonon-backend-gstreamer.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/phonon-backend-gstreamer.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -33,5 +33,5 @@
     utilizes the <application>GStreamer</application> media framework.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/phonon-backend-vlc.xml
===================================================================
--- kde/core/phonon-backend-vlc.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/phonon-backend-vlc.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -33,5 +33,5 @@
     utilizes the <application>VLC</application> media framework.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/phonon.xml
===================================================================
--- kde/core/phonon.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/phonon.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -34,5 +34,5 @@
     supported by KDE. Phonon needs either the GStreamer or VLC backend.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/polkit-kde-agent.xml
===================================================================
--- kde/core/polkit-kde-agent.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/polkit-kde-agent.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -34,5 +34,5 @@
     for performing administrative tasks in KDE.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/polkit-qt.xml
===================================================================
--- kde/core/polkit-qt.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/polkit-qt.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -33,5 +33,5 @@
     <application>polkit</application> in the Qt environment.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/qimageblitz.xml
===================================================================
--- kde/core/qimageblitz.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/qimageblitz.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -33,5 +33,5 @@
     filter library for <application>KDE</application>.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/shrdesktopontologies.xml
===================================================================
--- kde/core/shrdesktopontologies.xml	(revision 2ddc348588d5890834101d8ad7603faa277ee1c5)
+++ kde/core/shrdesktopontologies.xml	(revision 78abf5a8af11ca2461d7fce9506e4e251533a2dc)
@@ -35,5 +35,5 @@
     and developed in this open-source project.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>