Index: multimedia/videoutils/avifile.xml
===================================================================
--- multimedia/videoutils/avifile.xml	(revision d7ecaa6d999ae2926d87db31c9b2d7f8c6f93121)
+++ multimedia/videoutils/avifile.xml	(revision 79ccca017932c027748693b20c061460d600e759)
@@ -36,6 +36,6 @@
     <title>Introduction to Avifile</title>
 
-    <para>The <application>Avifile</application> package contains an AVI 
-    video file player, tools and support libraries. This is useful for viewing and 
+    <para>The <application>Avifile</application> package contains an AVI
+    video file player, tools and support libraries. This is useful for viewing and
     editing AVI files.</para>
 
@@ -84,14 +84,14 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="pkgconfig"/>, 
-    <xref linkend="libjpeg"/>, 
-    <xref linkend="libogg"/>, 
-    <xref linkend="libvorbis"/>, 
-    <xref linkend="liba52"/>, 
-    <xref linkend="lame"/>, 
-    <xref linkend="libmad"/>, 
-    <xref linkend="xvid"/>, 
-    <ulink url="http://sourceforge.net/projects/faac">FAAD2</ulink>, 
-    <ulink url="http://www.divx.com/divx/linux/">DivX4Linux</ulink> and 
+    <para><xref linkend="pkgconfig"/>,
+    <xref linkend="libjpeg"/>,
+    <xref linkend="libogg"/>,
+    <xref linkend="libvorbis"/>,
+    <xref linkend="liba52"/>,
+    <xref linkend="lame"/>,
+    <xref linkend="libmad"/>,
+    <xref linkend="xvid"/>,
+    <ulink url="http://sourceforge.net/projects/faac">FAAD2</ulink>,
+    <ulink url="http://www.divx.com/divx/linux/">DivX4Linux</ulink> and
     <ulink url="http://dmalloc.com/">Dmalloc</ulink></para>
 
@@ -101,6 +101,6 @@
     <title>Installation of Avifile</title>
 
-    <para>Install the required CODEC as the <systemitem 
-    class="username">root</systemitem> user using 
+    <para>Install the required CODEC as the <systemitem
+    class="username">root</systemitem> user using
     the following commands:</para>
 
@@ -108,5 +108,5 @@
 tar -zxf ../binaries-011002.tgz -C /usr/lib/avifile-&avifile-main-version;</userinput></screen>
 
-    <para>Install <application>Avifile</application> by running the 
+    <para>Install <application>Avifile</application> by running the
     following commands:</para>
 
@@ -125,7 +125,7 @@
     <title>Command Explanations</title>
 
-    <para><command>sed -i -e "s,include/avifile,&amp;-&avifile-main-version;," 
-    avifile.pc</command>: The <application>pkgconfig</application> file is 
-    installed with an incorrect include directory definition. This command fixes 
+    <para><command>sed -i -e "s,include/avifile,&amp;-&avifile-main-version;,"
+    avifile.pc</command>: The <application>pkgconfig</application> file is
+    installed with an incorrect include directory definition. This command fixes
     the file.</para>
 
@@ -141,11 +141,11 @@
 
       <seglistitem>
-        <seg>avibench, avicap, avicat, avifile-config, avimake, aviplay, avirec, 
+        <seg>avibench, avicap, avicat, avifile-config, avimake, aviplay, avirec,
         avirecompress, avitype, kv41setup, and mmxnow-config</seg>
-        <seg>libaviplay.so, libaviplayavcodec.so, libaviplayavformat.so, 
-        libaviplaydha.so, libaviplayvidix, and numerous CODEC 
+        <seg>libaviplay.so, libaviplayavcodec.so, libaviplayavformat.so,
+        libaviplaydha.so, libaviplayvidix, and numerous CODEC
         plugins and video extensions.</seg>
-        <seg>/usr/include/avifile-&avifile-main-version;, 
-        /usr/lib/avifile-&avifile-main-version;, and 
+        <seg>/usr/include/avifile-&avifile-main-version;,
+        /usr/lib/avifile-&avifile-main-version;, and
         /usr/share/avifile-&avifile-main-version;</seg>
       </seglistitem>
@@ -160,5 +160,5 @@
         <term><command>avibench</command></term>
         <listitem>
-          <para>performs a measurement of the AVI file 
+          <para>performs a measurement of the AVI file
           support library's performance for a file.</para>
           <indexterm zone="avifile avibench">
@@ -171,5 +171,5 @@
         <term><command>avicap</command></term>
         <listitem>
-          <para>is a widget that displays acquired video from a Video For Windows 
+          <para>is a widget that displays acquired video from a Video For Windows
           (VFW) compatible device, like a webcam or a TV-tuner.</para>
           <indexterm zone="avifile avicap">
@@ -192,5 +192,5 @@
         <term><command>avifile-config</command></term>
         <listitem>
-          <para>is run by <command>configure</command> for programs wishing 
+          <para>is run by <command>configure</command> for programs wishing
           to link to the <application>Avifile</application> libraries.</para>
           <indexterm zone="avifile avifile-config">
@@ -213,5 +213,5 @@
         <term><command>aviplay</command></term>
         <listitem>
-          <para> manages the input formats, the CODECs and the output formats 
+          <para> manages the input formats, the CODECs and the output formats
           to display AVI video files on your screen.</para>
           <indexterm zone="avifile aviplay">
@@ -234,5 +234,5 @@
         <term><command>avirecompress</command></term>
         <listitem>
-          <para>is a widget that takes an input file of one CODEC type 
+          <para>is a widget that takes an input file of one CODEC type
           and converts it into a video file of another CODEC.</para>
           <indexterm zone="avifile avirecompress">
@@ -266,5 +266,5 @@
         <term><command>mmxnow-config</command></term>
         <listitem>
-          <para>is run by <command>configure</command> for programs wishing 
+          <para>is run by <command>configure</command> for programs wishing
           to link to the mmxnow library.</para>
           <indexterm zone="avifile mmxnow-config">
@@ -277,6 +277,6 @@
         <term><filename class='libraryfile'>libaviplay*.so</filename></term>
         <listitem>
-          <para>libraries contain the functions required by the various 
-          <application>Avifile</application> programs for encoding, decoding and to 
+          <para>libraries contain the functions required by the various
+          <application>Avifile</application> programs for encoding, decoding and to
           interface with the various plugins and video extensions.</para>
           <indexterm zone="avifile libaviplay">
Index: multimedia/videoutils/mplayer.xml
===================================================================
--- multimedia/videoutils/mplayer.xml	(revision d7ecaa6d999ae2926d87db31c9b2d7f8c6f93121)
+++ multimedia/videoutils/mplayer.xml	(revision 79ccca017932c027748693b20c061460d600e759)
@@ -42,14 +42,14 @@
     <title>Introduction to MPlayer</title>
 
-    <para>The <application>MPlayer</application> package contains an audio/video 
-    player controlled via the command line or a graphical interface which is able 
-    to play almost every popular audio and video file format and CODEC 
-    (COder/DECoder, also COmpressor/DECompressor). With supported video 
-    hardware and additional drivers, <application>MPlayer</application> can play 
+    <para>The <application>MPlayer</application> package contains an audio/video
+    player controlled via the command line or a graphical interface which is able
+    to play almost every popular audio and video file format and CODEC
+    (COder/DECoder, also COmpressor/DECompressor). With supported video
+    hardware and additional drivers, <application>MPlayer</application> can play
     video files without an <application>X Window System</application> installed.</para>
 
-    <para>For <application>MPlayer</application> general information and 
-    available features, including a full list of file formats, CODECs and 
-    output devices supported by <application>MPlayer</application>, visit the 
+    <para>For <application>MPlayer</application> general information and
+    available features, including a full list of file formats, CODECs and
+    output devices supported by <application>MPlayer</application>, visit the
     <ulink url="http://www1.mplayerhq.hu/homepage/design7/info.html">
     <application>MPlayer</application> web site</ulink>.</para>
@@ -82,5 +82,5 @@
       <title>Patches</title>
       <listitem>
-        <para>Required Patch (for fbdev driver support): <ulink 
+        <para>Required Patch (for fbdev driver support): <ulink
         url="&patch-root;/MPlayer-&mplayer-version;-kernel_2.6-1.patch"/></para>
       </listitem>
@@ -90,5 +90,5 @@
       <title>CODECs</title>
       <listitem>
-        <para>Proprietary CODECs: <ulink 
+        <para>Proprietary CODECs: <ulink
         url="http://www.mplayerhq.hu/MPlayer/releases/codecs/&mplayer-codec;"/></para>
       </listitem>
@@ -99,5 +99,5 @@
         <para>Download size: &mplayer-codec-size;</para>
       </listitem>
-        <listitem><para>Additional CODECs: <ulink 
+        <listitem><para>Additional CODECs: <ulink
         url="http://www.mplayerhq.hu/MPlayer/releases/codecs/"/></para>
       </listitem>
@@ -107,5 +107,5 @@
       <title>Skins</title>
       <listitem>
-        <para>Default GUI skin: <ulink 
+        <para>Default GUI skin: <ulink
         url="http://www1.mplayerhq.hu/MPlayer/Skin/&mplayer-skin;"/></para>
       </listitem>
@@ -117,5 +117,5 @@
       </listitem>
       <listitem>
-        <para>Additional skins: <ulink 
+        <para>Additional skins: <ulink
         url="http://www1.mplayerhq.hu/MPlayer/Skin/"/></para>
       </listitem>
@@ -125,5 +125,5 @@
       <title>Fonts</title>
       <listitem>
-        <para>Prerendered fonts: <ulink 
+        <para>Prerendered fonts: <ulink
         url="http://www1.mplayerhq.hu/MPlayer/releases/fonts/&mplayer-font;.tar.bz2"/></para>
       </listitem>
@@ -135,5 +135,5 @@
       </listitem>
       <listitem>
-        <para>Additional fonts: <ulink 
+        <para>Additional fonts: <ulink
         url="http://www1.mplayerhq.hu/MPlayer/releases/fonts/"/></para>
       </listitem>
@@ -141,5 +141,5 @@
 
     <note>
-      <para>The CODECs, skins and fonts are not required to 
+      <para>The CODECs, skins and fonts are not required to
       build and use <application>MPlayer</application>.</para>
     </note>
@@ -148,58 +148,58 @@
 
     <bridgehead renderas="sect4">Optional Input Drivers and Libraries</bridgehead>
-    <para><xref linkend="cdparanoia"/>, 
-    <xref linkend="libdv"/>, 
-    <xref linkend="libdvdread"/>, 
-    <xref linkend="samba3"/>, 
-    <ulink url="http://www.live.com/mplayer/">LIVE.COM Streaming Media</ulink>, 
+    <para><xref linkend="cdparanoia"/>,
+    <xref linkend="libdv"/>,
+    <xref linkend="libdvdread"/>,
+    <xref linkend="samba3"/>,
+    <ulink url="http://www.live.com/mplayer/">LIVE.COM Streaming Media</ulink>,
     <ulink url="http://www.matroska.org/downloads/linux.html">libmatroska</ulink>
-    (requires 
-    <ulink url="http://dl.matroska.org/downloads/libebml/">libebml</ulink>), 
+    (requires
+    <ulink url="http://dl.matroska.org/downloads/libebml/">libebml</ulink>),
     <ulink url="http://www.linuxtv.org/">DVB drivers</ulink>
     and <ulink url="http://www.metzlerbros.org/dvb/">DVB</ulink></para>
 
     <bridgehead renderas="sect4">Optional Audio Output Drivers and Libraries</bridgehead>
-    <para><xref linkend="alsa"/>, 
-    <xref linkend="arts"/>, 
-    <xref linkend="esound"/>, 
-    <xref linkend="nas"/>, 
-    <xref linkend="sdl"/> (also used for video output), 
-    <xref linkend="xmms"/>, 
-    <ulink url="http://0pointer.de/lennart/projects/polypaudio/">Polypaudio</ulink>, 
-    <ulink url="http://bio2jack.sourceforge.net/">bio2jack</ulink> (requires 
+    <para><xref linkend="alsa"/>,
+    <xref linkend="arts"/>,
+    <xref linkend="esound"/>,
+    <xref linkend="nas"/>,
+    <xref linkend="sdl"/> (also used for video output),
+    <xref linkend="xmms"/>,
+    <ulink url="http://0pointer.de/lennart/projects/polypaudio/">Polypaudio</ulink>,
+    <ulink url="http://bio2jack.sourceforge.net/">bio2jack</ulink> (requires
     <ulink url="http://jackit.sourceforge.net/">JACK</ulink>)</para>
 
     <bridgehead renderas="sect4">Optional Video Output Drivers and Libraries</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), 
-    <xref linkend="libpng"/>, 
-    <xref linkend="libjpeg"/>, 
-    <xref linkend="libungif"/> or <xref linkend="giflib"/>, 
-    <xref linkend="GTK"/>, 
-    <xref linkend="freetype2"/>, 
-    <xref linkend="fontconfig"/>, 
-    <xref linkend="aalib"/>, 
-    <ulink url="http://www.directfb.org/">DirectFB</ulink>, 
-    <ulink url="http://www.svgalib.org/">SVGAlib</ulink>, 
-    <ulink url="http://www.ggi-project.org/">GGI</ulink>, 
-    <ulink url="http://sam.zoy.org/projects/libcaca/">libcaca</ulink>, 
-    <ulink url="http://www.ladspa.org/">LADSPA</ulink>, 
-    <ulink url="http://dxr2.sourceforge.net/">Dxr2</ulink>, 
-    <ulink url="http://dxr3.sourceforge.net/">libdxr3</ulink>, 
-    <ulink url="http://prdownloads.sourceforge.net/zapping/">MP1E</ulink>, 
-    <ulink url="http://freedesktop.org/Software/FriBidi">FriBidi</ulink> and 
+    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    <xref linkend="libpng"/>,
+    <xref linkend="libjpeg"/>,
+    <xref linkend="libungif"/> or <xref linkend="giflib"/>,
+    <xref linkend="GTK"/>,
+    <xref linkend="freetype2"/>,
+    <xref linkend="fontconfig"/>,
+    <xref linkend="aalib"/>,
+    <ulink url="http://www.directfb.org/">DirectFB</ulink>,
+    <ulink url="http://www.svgalib.org/">SVGAlib</ulink>,
+    <ulink url="http://www.ggi-project.org/">GGI</ulink>,
+    <ulink url="http://sam.zoy.org/projects/libcaca/">libcaca</ulink>,
+    <ulink url="http://www.ladspa.org/">LADSPA</ulink>,
+    <ulink url="http://dxr2.sourceforge.net/">Dxr2</ulink>,
+    <ulink url="http://dxr3.sourceforge.net/">libdxr3</ulink>,
+    <ulink url="http://prdownloads.sourceforge.net/zapping/">MP1E</ulink>,
+    <ulink url="http://freedesktop.org/Software/FriBidi">FriBidi</ulink> and
     <ulink url="http://trific.ath.cx/software/enca/">Enca</ulink></para>
 
     <bridgehead renderas="sect4">Optional CODECs</bridgehead>
-    <para><xref linkend="libvorbis"/>, 
-    <xref linkend="xvid"/>, 
-    <xref linkend="LZO"/>, 
-    <xref linkend="libmad"/>, 
-    <xref linkend="lame"/>, 
-    <xref linkend="libfame"/>, 
-    <ulink url="http://www.theora.org/">Theora</ulink>, 
-    <ulink url="http://www.xiph.org/ogg/vorbis/index.html">Tremor</ulink>, 
-    <ulink url="http://sourceforge.net/projects/faac">FAAD2</ulink>, 
-    <ulink url="http://www.divx.com/divx/linux/">DivX4Linux</ulink>, 
-    <ulink url="http://sourceforge.net/projects/toolame">TooLAME</ulink>, 
+    <para><xref linkend="libvorbis"/>,
+    <xref linkend="xvid"/>,
+    <xref linkend="LZO"/>,
+    <xref linkend="libmad"/>,
+    <xref linkend="lame"/>,
+    <xref linkend="libfame"/>,
+    <ulink url="http://www.theora.org/">Theora</ulink>,
+    <ulink url="http://www.xiph.org/ogg/vorbis/index.html">Tremor</ulink>,
+    <ulink url="http://sourceforge.net/projects/faac">FAAD2</ulink>,
+    <ulink url="http://www.divx.com/divx/linux/">DivX4Linux</ulink>,
+    <ulink url="http://sourceforge.net/projects/toolame">TooLAME</ulink>,
     <ulink url="http://www.dolda2000.cjb.net/~fredrik/lirccd/">lirccd</ulink>
     and <ulink url="http://www.lirc.org/">LIRC</ulink></para>
@@ -213,9 +213,9 @@
       <title>CODEC Installation (Optional)</title>
 
-      <para>If you downloaded any proprietary CODECs (which can provide support 
-      for additional audio and video formats such as Real, Indeo and QuickTime), 
+      <para>If you downloaded any proprietary CODECs (which can provide support
+      for additional audio and video formats such as Real, Indeo and QuickTime),
       extract them to <filename class="directory">/usr/lib/mplayer/codecs</filename>
-      using the following commands as the <systemitem 
-      class="username">root</systemitem> user (substitute and/or add different 
+      using the following commands as the <systemitem
+      class="username">root</systemitem> user (substitute and/or add different
       CODEC filenames, if necessary):</para>
 
@@ -225,5 +225,5 @@
 chown -v -R root:root /usr/lib/mplayer/codecs</userinput></screen>
 
-      <para>If you installed any CODECs, ensure you add 
+      <para>If you installed any CODECs, ensure you add
       <option>--with-codecsdir=/usr/lib/mplayer/codecs</option>
       to the <command>configure</command> script.</para>
@@ -234,9 +234,9 @@
       <title>GUI Installation (Optional)</title>
 
-      <para>To enable building the GUI version of 
-      <application>MPlayer</application> (requires <xref linkend="GTK"/>), add 
+      <para>To enable building the GUI version of
+      <application>MPlayer</application> (requires <xref linkend="GTK"/>), add
       <option>--enable-gui</option> to the <command>configure</command>
-      script. You'll also need to extract at least one skin. Extract the desired 
-      skin and create the default location (as the <systemitem 
+      script. You'll also need to extract at least one skin. Extract the desired
+      skin and create the default location (as the <systemitem
       class="username">root</systemitem> user):</para>
 
@@ -253,7 +253,7 @@
       <title>Installing OSD and Subtitles Support (Optional)</title>
 
-      <para>To enable OSD (On Screen Display) and subtitles support, add 
+      <para>To enable OSD (On Screen Display) and subtitles support, add
       <option>--enable-menu</option> to the <command>configure</command>
-      script. You'll also need to set up at least one font (see font installation 
+      script. You'll also need to set up at least one font (see font installation
       instructions a little later).</para>
 
@@ -268,20 +268,20 @@
       </note>
 
-      <para><application>MPlayer</application> can build a shared post-processing 
-      library from the internal <application>FFmpeg</application> package which 
+      <para><application>MPlayer</application> can build a shared post-processing
+      library from the internal <application>FFmpeg</application> package which
       other packages can link to. This requires <application>MPlayer</application>
-      to link dynamically to this library instead of the default statically linked method. 
+      to link dynamically to this library instead of the default statically linked method.
       If you desire to build the shared library, add <option>--enable-shared-pp</option>
       and <option>--disable-fastmemcpy</option> to the <command>configure</command>
-      script. The <option>--disable-fastmemcpy</option> parameter is required to 
-      avoid <computeroutput>undefined reference</computeroutput> errors when other 
+      script. The <option>--disable-fastmemcpy</option> parameter is required to
+      avoid <computeroutput>undefined reference</computeroutput> errors when other
       packages link to the shared library.</para>
 
-      <para>You may wish to examine the output from 
-      <command>./configure --help</command> to find out what additional 
-      parameters to <command>configure</command> are needed to include 
+      <para>You may wish to examine the output from
+      <command>./configure --help</command> to find out what additional
+      parameters to <command>configure</command> are needed to include
       the dependencies you have installed on your system.</para>
 
-      <para>Install <application>MPlayer</application> by running the following 
+      <para>Install <application>MPlayer</application> by running the following
       commands:</para>
 
@@ -299,9 +299,9 @@
 cp -v -R DOCS/* /usr/share/doc/mplayer-&mplayer-version;</userinput></screen>
 
-      <para>Passing parameters to <command>configure</command> may result 
+      <para>Passing parameters to <command>configure</command> may result
       in the creation of <filename class='libraryfile'>libdha.so.1.0</filename>. If so,
-      you may wish to create a symlink to this library in case other packages link 
-      to <filename class='libraryfile'>libdha.so</filename>. Use the following 
-      command as the <systemitem class="username">root</systemitem> user 
+      you may wish to create a symlink to this library in case other packages link
+      to <filename class='libraryfile'>libdha.so</filename>. Use the following
+      command as the <systemitem class="username">root</systemitem> user
       to create the symlink:</para>
 
@@ -310,7 +310,7 @@
       <para>You will need <filename>codecs.conf</filename> only if you want to
       change its properties, as the main binary contains an internal copy of
-      it. Ensure any changes you make to <filename>codecs.conf</filename> achieve 
+      it. Ensure any changes you make to <filename>codecs.conf</filename> achieve
       the desired results, as incorrect entries in this file have been known to
-      cause errors and render the player unusable. If necessary, create the file 
+      cause errors and render the player unusable. If necessary, create the file
       using the following command.</para>
 
@@ -318,5 +318,5 @@
 
       <para>You may also want to copy all the default configuration files to
-      <filename class='directory'>/etc/mplayer</filename> for future reference or 
+      <filename class='directory'>/etc/mplayer</filename> for future reference or
       more customization ability.</para>
 
@@ -326,11 +326,11 @@
 
     <sect3>
-      <title>OSD and Subtitles Font Installation (Required if '--enable-menu' Was 
+      <title>OSD and Subtitles Font Installation (Required if '--enable-menu' Was
       Passed to 'configure')</title>
 
-      <para>The recommended method to set up a font for 
-      <application>MPlayer</application> is to link a TTF file to 
-      your <filename class="directory">~/.mplayer</filename> directory. A link 
-      should be created in each user's home directory who may use 
+      <para>The recommended method to set up a font for
+      <application>MPlayer</application> is to link a TTF file to
+      your <filename class="directory">~/.mplayer</filename> directory. A link
+      should be created in each user's home directory who may use
       <application>MPlayer</application>. For example:</para>
 
@@ -339,6 +339,6 @@
     ~/.mplayer/subfont.ttf</userinput></screen>
 
-      <para>There are several other ways to set up a font package. To use a 
-      prerendered <application>MPlayer</application> font package, extract 
+      <para>There are several other ways to set up a font package. To use a
+      prerendered <application>MPlayer</application> font package, extract
       and link one of the font tarballs using the following commands:</para>
 
@@ -351,6 +351,6 @@
       <para>Available font sizes are 14, 18, 24 or 28.</para>
 
-      <para>Additional information as well as additional methods to set up an 
-      <application>MPlayer</application> font package can be found at <ulink 
+      <para>Additional information as well as additional methods to set up an
+      <application>MPlayer</application> font package can be found at <ulink
       url="http://www.mplayerhq.hu/DOCS/HTML/en/subosd.html#mpsub-install"/>.</para>
 
@@ -360,11 +360,11 @@
       <title>Installation for DVD Playback (Optional)</title>
 
-      <para>If you want DVD playback with <application>MPlayer</application>, 
-      you need to ensure a link exists from your DVD drive to 
-      <filename>/dev/dvd</filename>. If necessary, create the link using the 
+      <para>If you want DVD playback with <application>MPlayer</application>,
+      you need to ensure a link exists from your DVD drive to
+      <filename>/dev/dvd</filename>. If necessary, create the link using the
       following commands:</para>
 
 <screen role="root"><userinput>cat &gt;&gt; /etc/udev/rules.d/24-dvd.rules &lt;&lt; "EOF"
-<literal># Create a /dev/dvd symlink 
+<literal># Create a /dev/dvd symlink
 
 KERNEL="<replaceable>[dvd drive]</replaceable>", SYMLINK="dvd"</literal>
@@ -410,10 +410,10 @@
       <title>Configuration Information</title>
 
-      <para>Typically, there's no configuration required for the system-wide files 
-      in <filename class='directory'>/etc/mplayer</filename> (in fact, this 
-      directory is empty unless you copied the default files as mentioned above). 
-      Configuration can be accomplished by choosing the configuration button located 
-      on the <application>MPlayer</application> GUI. Any 
-      configuration changes made here will be copied to the user's 
+      <para>Typically, there's no configuration required for the system-wide files
+      in <filename class='directory'>/etc/mplayer</filename> (in fact, this
+      directory is empty unless you copied the default files as mentioned above).
+      Configuration can be accomplished by choosing the configuration button located
+      on the <application>MPlayer</application> GUI. Any
+      configuration changes made here will be copied to the user's
       <filename class='directory'>~/.mplayer</filename> directory.</para>
 
@@ -433,5 +433,5 @@
         <seg>gmplayer, mplayer, and mencoder</seg>
         <seg>libdha.so and optionally, libpostproc.so</seg>
-        <seg>~/.mplayer, /etc/mplayer, /usr/include/postproc, /usr/lib/mplayer, 
+        <seg>~/.mplayer, /etc/mplayer, /usr/include/postproc, /usr/lib/mplayer,
         /usr/share/mplayer, and /usr/share/doc/mplayer-&mplayer-version;</seg>
       </seglistitem>
@@ -446,6 +446,6 @@
         <term><command>gmplayer</command></term>
         <listitem>
-          <para>is a symlink to <command>mplayer</command> which 
-          brings up the graphical user interface component of 
+          <para>is a symlink to <command>mplayer</command> which
+          brings up the graphical user interface component of
           <application>MPlayer</application>.</para>
           <indexterm zone="mplayer gmplayer">
@@ -458,7 +458,7 @@
         <term><command>mplayer</command></term>
         <listitem>
-          <para> manages the input formats, the CODECs and 
-          the output formats to play video files, DVDs, 
-          (S)VCDs or network streams containing audio and/or video 
+          <para> manages the input formats, the CODECs and
+          the output formats to play video files, DVDs,
+          (S)VCDs or network streams containing audio and/or video
           information on your system.</para>
 
@@ -470,6 +470,6 @@
 mplayer http://www.students.uni-marburg.de/~Klossa/hapkidofight_lo.mpg</userinput></screen>
 
-          <para>For further information, look at the very good documentation included 
-          with the package in the source tree subdirectory 
+          <para>For further information, look at the very good documentation included
+          with the package in the source tree subdirectory
           <filename class="directory">DOCS</filename> (also installed at
           <filename class='directory'>/usr/share/doc/mplayer</filename>).</para>
@@ -484,5 +484,5 @@
         <listitem>
           <para>is used to encode any <application>MPlayer</application>
-          playable movie to DivX4, <application>XviD</application> or any 
+          playable movie to DivX4, <application>XviD</application> or any
           CODEC in <filename class='libraryfile'>libavcodec</filename> with
           PCM/MP3/VBRMP3 audio.</para>
@@ -513,5 +513,5 @@
         <term><filename class='libraryfile'>libdha.so</filename></term>
         <listitem>
-          <para>contains functions used by the 
+          <para>contains functions used by the
           <application>MPlayer</application> programs.</para>
           <indexterm zone="mplayer libdha">
@@ -524,5 +524,5 @@
         <term><filename class='libraryfile'>libpostproc.so</filename></term>
         <listitem>
-          <para>is a post-processing filter library used by the 
+          <para>is a post-processing filter library used by the
           <application>MPlayer</application> programs and other packages.</para>
           <indexterm zone="mplayer libpostproc">